(* ::Package:: *)

(* ::Title:: *)
(*ExtendShapes*)


(* ::Text:: *)
(*By Simon Rochester*)
(*U.C. Berkeley Physics Dept.*)


(* ::Text:: *)
(*The ExtendShapes package extends the Shapes package.*)


(* ::Section::Closed:: *)
(*Reference*)


(* ::Subsection:: *)
(*Title*)


(* ::Text:: *)
(*MatrixRSolve.m \[LongDash] solving matrix recursion relations*)


(* ::Subsection:: *)
(*Author*)


(* ::Text:: *)
(*Simon Rochester (simonkeys@yahoo.com)*)


(* ::Subsection:: *)
(*Summary*)


(* ::Text:: *)
(*The MatrixRSolve package aids the generation and numerical solution of matrix recursion relations.*)


(* ::Subsection:: *)
(*Copyright*)


(* ::Text:: *)
(*\[Copyright] Copyright 2006, Simon Rochester*)


(* ::Subsection:: *)
(*Notebook Version*)


(* ::Text:: *)
(*1.0*)


(* ::Subsection:: *)
(*Mathematica version*)


(* ::Text:: *)
(*5.2*)


(* ::Subsection:: *)
(*History*)


(* ::Text:: *)
(*1.0: First version set up as a package (2006-4-4)*)


(* ::Subsection:: *)
(*Keywords*)


(* ::Text:: *)
(*matrix recursion relation*)


(* ::Section:: *)
(*Interface*)


(* ::Text:: *)
(*This part declares publicly visible symbols.*)


(* ::Subsection:: *)
(*Begin package context*)


BeginPackage["Graphics`ExtendShapes`"]


(* ::Subsection:: *)
(*Usage messages*)


TranslateX::usage=""


TranslateY::usage=""


TranslateZ::usage=""


RotateX::usage=""


RotateY::usage=""


RotateZ::usage=""


(* ::Subsection:: *)
(*Error messages*)


(* ::Section:: *)
(*Implementation*)


(* ::Subsection:: *)
(*Begin private context*)


Begin["`Private`"]


(* ::Subsection:: *)
(*Translate*)


TranslateX[x_][g_]:=Translate[g,{x,0,0}]


TranslateY[x_][g_]:=Translate[g,{0,x,0}]


TranslateZ[x_][g_]:=Translate[g,{0,0,x}]


(* ::Subsection:: *)
(*Rotate*)


RotateX[theta_][g_]:=Rotate[g,theta,{1,0,0}]


RotateY[theta_][g_]:=Rotate[g,theta,{0,1,0}]


RotateZ[theta_][g_]:=Rotate[g,theta,{0,0,1}]


(* ::Subsection:: *)
(*End the private context*)


End[]


(* ::Section:: *)
(*Epilog*)


(* ::Text:: *)
(*This section protects exported symbols and ends the package.*)


(* ::Subsection:: *)
(*Protect exported symbols*)


(*Protect[Evaluate[$Context<>"*"]]*)


(* ::Subsection:: *)
(*End the package context*)


EndPackage[]
