(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     63759,       1726]
NotebookOptionsPosition[     57149,       1504]
NotebookOutlinePosition[     58824,       1551]
CellTagsIndexPosition[     58738,       1546]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["AtomicDensityMatrix Package",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {
    StyleBox[
     GraphicsBox[RasterBox[CompressedData["
1:eJy9lulTk1cUxp+Zfu+Xfu5MO9O/oF90povj0A6dVtupdRsBqwRCg+DCqCxF
LLIIoUAIyGLayqJCFZRYVJaAaDBsQkBCEhaVoCjEBAiLTSLJ7bmX0nEBhZZ6
5mbmTebN/d3nnOec930/cN+mwLcAvEefD+jDr9nrwul0DvabbdaxuwNm++Ox
197/r8PQrY/bLwnyxYFvEL0F8TtwOiNq9IHFYDC4XK5VBGmvaXasg/QLRH6H
xABkBiFXhvw9fCVJP7LZbKsFemwdC1gP2ZdcjnwXCvag9BAuxOByHC4dQUU0
dBfzV4vV0aoL+4orOv49ckNRHo3qeDQehy4NzWnQpvCv/W2aRf+70vSeK8o/
+C0vkDIEZYdx5SfclKM9Az05MOai9wQ6FahLwJT9ObeQkaqrq3t7e1fESo+W
/LgV8t1QhfPU1Seh5WfczoY5D4Mn0V/AoSSwNkfidjnpfofDUVVVpVKpFArF
5OTkiliZMZJ4PyiCceYg/ohDUyq6stCXhzsqziIicXVyXriyVMnQoHnt2rV+
fn5paWkmk2lFIAptrfqYHzceJZBy1ZaObiUGCjirL5/nsDWdl+yXvfw8R3e8
EyYLIVBhYSEJfMW25F6HCKeI+R+npxzJOzmLEtiQhFuZvEzEouzps9CQzN1C
5s8IQroE4VvWJB2NLsqKP3U8vCI7ytypm0/syzExMaFWqxMTE2NjY0NDQ6VS
aVNTk8vpVMVLToZxq9cnclZvLsd1KDiFtFA1Y7aAtKfuflsRFXA+YSMdifzT
ks7PdjXV1/7IspS69vZ2uVyeLYKqbLFYGmursqUoO8RzRSwqUJcSJRGcsssH
gZ/zYULaC/fzapJVhn7F47MYPw/b77CVYlCFe83qpXDUFw0NDSUlJZRPo9FY
U1OTk5kWfzjsVOQ6qg7t1piMw5uw/VPs/gx7N/JhQiBy42gJZi/iaS3YdTAd
WBtYEzwaTJbj0a0lcez5TrxvGcpOOFCsiCOxOTEBcdu5HN7jm3k7kG2ou20X
4KqDpxXsNlgPmAmsD6xfXLdh5jK8Txev3cthHbHkhWLfRq6FRhY1OMmZ92db
BkbPYk4LZgS7BzYMZhHr/sIaBNPDZX6VtGeDJvDWT3iBwjZwM5yQ8ZLdSMGA
CvZyeBrE+Qn0QLCGwO6KixGwh+JHwg0vi3X6t/xtArTvayT4o/gAauLRmYVH
xXBWgmnAOsEMYunBugSXEnhHqBsRi9Cji4/NZ6MgK3Xrx7xAVB3qIz7b0/jQ
mD4PTzXYNbBWjrBW4mExZtXw1nNLcKhRyLEIgXThMC8ndTvXI3Yb0gNx+Sjv
rNHT+FMN1igo3VzIXD0myjB5DtMV8F5ZOECXcMggF2hvW+OcedUkoYcXGTvY
lzucZi+BqLlmKjB3FV6dOLlZ7Ebb3oRXAzeZrUak9IYwPN3QK264jYfmG0ql
UqfTud3uRVl1V9TkOrKcUoq6YzDlwVEBz3V42xfyc0eUhjbsAGsB04qlE/QO
oYv8b5Iw19+KZmdnl9JVVX7m0CZkSXmNqP2fXIS3UezQt+DqAZFDk/BGm8A1
i9Uivhqj2IiGzS2rrcI30OjGuUgYcmAthUcr0jK44K57mGp511r1ITdDI7xa
Pi68VKkWibs5io3pl0mZj+wjkuwf+AgdL8VcrUiLSfTmiOigHlSejLTb7XNP
HJ6pMc+4hdFkWPZweCGMHbriCJjzMX1B2NggCjQkerYLTlufv79/T0/PUuVe
UdDTpzLJl56Jzkui3D0LxuuVOMctPj4+MpksOTlZr9f/dxbFU5dztFtjPcPN
7CUnd0cxq34+URERESEhISkpKTMzM6vC+ic8bucLg3p4eDgoKIjel1YXtGjQ
e0JwcDA94N4Ai6KoqGh8fPzNsFbFgf9r/AWVRIUY
       "], {{0, 0}, {36, 32}}, {0, 255},
       ColorFunction->RGBColor],
      ImageSize->{36, 32},
      PlotRange->{{0, 36}, {0, 32}}],
     Deployed->True,
     StripOnInput->False], Cell[
    "ATOMICDENSITYMATRIX PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "The Density Matrix and the Liouville Equation", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/tutorial/\
TheDensityMatrixAndTheLiouvilleEquation", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]], 
          StringReplace[
           "Displaying the Density Matrix", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/tutorial/DisplayingTheDensityMatrix", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]]}, #, 2]& , Evaluator -> 
        Automatic], {
       1->"\<\"The Density Matrix and the Liouville Equation\"\>", 
       2->"\<\"Displaying the Density Matrix\"\>"}, 
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "DMVariables", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/ref/DMVariables", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]], 
          StringReplace[
           "Ket", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/ref/Ket", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]]}, #, 2]& , Evaluator -> 
        Automatic], {1->"\<\"DMVariables\"\>", 2->"\<\"Ket\"\>"}, 
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"See Also \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "AtomicDensityMatrix Package", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]]}, #, 2]& , Evaluator -> 
        Automatic], {1->"\<\"AtomicDensityMatrix Package\"\>"}, 
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"More About \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "AtomicDensityMatrix/ref/DensityMatrix", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> None, 
          StringReplace[
           "Copy Mathematica url", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  StringReplace[
                  "AtomicDensityMatrix/ref/DensityMatrix", 
                   "http://reference.wolfram.com/mathematica/" -> 
                   "http://budker.berkeley.edu/ADM/"]]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, 
              StringReplace[
              "Copy", "http://reference.wolfram.com/mathematica/" -> 
               "http://budker.berkeley.edu/ADM/"]]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], Delimiter, 
          StringReplace[
           "Copy web url", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  BoxData[
                   MakeBoxes[
                    Hyperlink[
                    StringReplace[
                    "http://reference.wolfram.com/mathematica/\
AtomicDensityMatrix/ref/DensityMatrix.html", 
                    "http://reference.wolfram.com/mathematica/" -> 
                    "http://budker.berkeley.edu/ADM/"]], StandardForm]], 
                  StringReplace[
                  "Input", "http://reference.wolfram.com/mathematica/" -> 
                   "http://budker.berkeley.edu/ADM/"], TextClipboardType -> 
                  StringReplace[
                   "PlainText", "http://reference.wolfram.com/mathematica/" -> 
                    "http://budker.berkeley.edu/ADM/"]]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, 
              StringReplace[
              "Copy", "http://reference.wolfram.com/mathematica/" -> 
               "http://budker.berkeley.edu/ADM/"]]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], 
          StringReplace[
           "Go to web url", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> FrontEndExecute[{
             NotebookLocate[{
               URL[
                StringJoin[
                 StringReplace[
                 "http://reference.wolfram.com/mathematica/", 
                  "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"], 
                 StringReplace[
                 "AtomicDensityMatrix/ref/DensityMatrix", 
                  "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"], 
                 StringReplace[
                 ".html", "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"]]], None}]}]}, #, 2]& , 
        Evaluator -> Automatic], {
       1->"\<\"AtomicDensityMatrix/ref/DensityMatrix\"\>", 
       2->"\<\"Copy Mathematica url\"\>", Delimiter, 
       4->"\<\"Copy web url\"\>", 5->"\<\"Go to web url\"\>"}, 
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"URL \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxAlignment->{"Columns" -> {{Left, Left, Right}}},
 GridBoxItemSize->{"Columns" -> {
     Scaled[0.05], 
     Scaled[0.3], {
      Scaled[0.64]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["DensityMatrix ", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"DensityMatrix", "[", 
       StyleBox["sys", "TI"], "]"}]], "InlineFormula"],
     " \[LineSeparator]forms the density matrix for an atomic system (list of \
",
     Cell[BoxData[
      ButtonBox["AtomicState",
       BaseStyle->"Link",
       ButtonData->"paclet:AtomicDensityMatrix/ref/AtomicState"]], 
      "InlineFormula"],
     " objects) ",
     Cell[BoxData[
      StyleBox["sys", "TI"]], "InlineFormula"],
     "."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], BaseStyle -> None, ButtonFrame -> "None", 
          ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection"], 
     TextData[
      ButtonBox[
       Cell[
        TextData[{
          Cell[
           BoxData[
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[24]]]], "Details and Options"}], "NotesSection"], 
       BaseStyle -> None, ButtonFrame -> "None", 
       ButtonFunction :> (FrontEndExecute[{
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], All, ButtonCell], 
          FrontEndToken["OpenCloseGroup"], 
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
       None, Method -> "Preemptive"]]], None}, {None, None}},
 CellFrameLabelMargins->0,
 "WholeCellGroupOpener" -> True,
 CellID->416649177],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell["The following options can be given:", "Notes",
 CellID->1067943069],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["TimeDependence",
     BaseStyle->"Link",
     ButtonData->"paclet:AtomicDensityMatrix/ref/TimeDependence"], 
    ButtonBox["True",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/True"], Cell["\<\
whether density matrix elements should have explicit time dependence\
\>", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["Representation",
     BaseStyle->"Link",
     ButtonData->"paclet:AtomicDensityMatrix/ref/Representation"], 
    ButtonBox["Zeeman",
     BaseStyle->"Link",
     ButtonData->"paclet:AtomicDensityMatrix/ref/Zeeman"], Cell[TextData[{
     Cell[BoxData[
      ButtonBox["Zeeman",
       BaseStyle->"Link",
       ButtonData->"paclet:AtomicDensityMatrix/ref/Zeeman"]], 
      "InlineFormula"],
     " ",
     "or",
     " ",
     "polarization",
     " ",
     "moment",
     " ",
     "representation"
    }], "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["DMSymbol",
     BaseStyle->"Link",
     ButtonData->"paclet:AtomicDensityMatrix/ref/DMSymbol"], "\[Rho]", Cell[
    "symbol to use for density matrix elements", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["DMLabel",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/DMLabel"], 
    ButtonBox["None",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/None"], Cell[
    "additional label for density matrix elements", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["ComplexExpandVariables",
     BaseStyle->"Link",
     ButtonData->"paclet:AtomicDensityMatrix/ref/ComplexExpandVariables"], 
    ButtonBox["False",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/False"], Cell["\<\
whether to express density matrix elements in terms of real and imaginary \
parts\
\>", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["TimeVariable",
     BaseStyle->"Link",
     ButtonData->"paclet:AtomicDensityMatrix/ref/TimeVariable"], 
    ButtonBox["t",
     BaseStyle->"Link",
     ButtonData->"paclet:AtomicDensityMatrix/ref/t"], Cell[
    "symbol to use for time variable", "TableText"]}
  }]], "3ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True, True, True, True}}}},
 CellID->264018771],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Closed]],

Cell[CellGroupData[{

Cell["", "PrimaryExamplesSection",
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
        ButtonFrame -> "None"]], "PrimaryExamplesSection"], 
     TextData[
      ButtonBox[
       Cell[
        TextData[{
          Cell[
           BoxData[
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[24]]]], "Examples", 
          "\[NonBreakingSpace]\[NonBreakingSpace]", 
          Cell["(9)", "ExampleCount"]}], "PrimaryExamplesSection"], BaseStyle -> 
       None, Evaluator -> None, Method -> "Preemptive", 
       ButtonFunction :> (FrontEndExecute[{
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], All, ButtonCell], 
          FrontEndToken["OpenCloseGroup"], 
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
       ButtonFrame -> "None"]]], None}, {None, None}},
 CellFrameLabelMargins->0,
 "WholeCellGroupOpener" -> True,
 CellTags->"PrimaryExamplesSection",
 CellID->43913799],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(3)", "ExampleCount"]
}], "ExampleSection",
 "WholeCellGroupOpener" -> True,
 CellID->261549266],

Cell["Density matrix for a system with no angular momentum:", "ExampleText",
 CellID->282740562],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<AtomicDensityMatrix`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->79203784],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sys", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"AtomicState", "[", "1", "]"}], ",", 
    RowBox[{"AtomicState", "[", "2", "]"}]}], "}"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->313233494],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"AtomicState", "[", "1", "]"}], ",", 
   RowBox[{"AtomicState", "[", "2", "]"}]}], "}"}]], "Output",
 ImageSize->{226, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->21401964]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DensityMatrix", "[", "sys", "]"}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->39827372],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SubscriptBox["\[Rho]", 
        RowBox[{"1", ",", "1"}]], "[", "t", "]"}], 
      RowBox[{
       SubscriptBox["\[Rho]", 
        RowBox[{"1", ",", "2"}]], "[", "t", "]"}]},
     {
      RowBox[{
       SubscriptBox["\[Rho]", 
        RowBox[{"2", ",", "1"}]], "[", "t", "]"}], 
      RowBox[{
       SubscriptBox["\[Rho]", 
        RowBox[{"2", ",", "2"}]], "[", "t", "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{120, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->397354089]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->176211259],

Cell["Density matrix for a system with Zeeman structure:", "ExampleText",
 CellID->343098914],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<AtomicDensityMatrix`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->495464058],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sys", "=", 
  RowBox[{"Sublevels", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"AtomicState", "[", 
      RowBox[{"\"\<a\>\"", ",", 
       RowBox[{"J", "\[Rule]", "0"}]}], "]"}], ",", 
     RowBox[{"AtomicState", "[", 
      RowBox[{"\"\<b\>\"", ",", 
       RowBox[{"J", "\[Rule]", "1"}]}], "]"}]}], "}"}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->932950030],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"AtomicState", "[", 
    RowBox[{"\<\"a\"\>", ",", 
     RowBox[{"J", "\[Rule]", "0"}], ",", 
     RowBox[{"M", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"\<\"b\"\>", ",", 
     RowBox[{"J", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "1"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"\<\"b\"\>", ",", 
     RowBox[{"J", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"\<\"b\"\>", ",", 
     RowBox[{"J", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", 
      RowBox[{"-", "1"}]}]}], "]"}]}], "}"}]], "Output",
 ImageSize->{398, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->205216064]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DensityMatrix", "[", "sys", "]"}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->104442822],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{405, 65},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->294025647]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->133916380],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<AtomicDensityMatrix`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->424631871],

Cell["Density matrix for a system with hyperfine structure:", "ExampleText",
 CellID->396876126],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sys", "=", 
  RowBox[{"Sublevels", "[", 
   RowBox[{"{", 
    RowBox[{"AtomicState", "[", 
     RowBox[{"1", ",", 
      RowBox[{"J", "\[Rule]", 
       RowBox[{"1", "/", "2"}]}], ",", 
      RowBox[{"NuclearSpin", "\[Rule]", 
       RowBox[{"1", "/", "2"}]}]}], "]"}], "}"}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->282938609],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"J", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"NuclearSpin", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"F", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "1"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"J", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"NuclearSpin", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"F", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"J", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"NuclearSpin", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"F", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", 
      RowBox[{"-", "1"}]}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"J", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"NuclearSpin", "\[Rule]", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{"F", "\[Rule]", "0"}], ",", 
     RowBox[{"M", "\[Rule]", "0"}]}], "]"}]}], "}"}]], "Output",
 ImageSize->{367, 120},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->265154442]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DensityMatrix", "[", "sys", "]"}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->22237377],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{485, 65},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->47748122]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Options",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 "WholeCellGroupOpener" -> True,
 CellID->345182584],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "ComplexExpandVariables",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 "WholeCellGroupOpener" -> True,
 CellID->726865425],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<AtomicDensityMatrix`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->220702645],

Cell["Write density matrix in terms of real and imaginary parts:", \
"ExampleText",
 CellID->226270345],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sys", "=", 
  RowBox[{"Sublevels", "@", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", " ", 
     RowBox[{"J", "\[Rule]", "1"}]}], "]"}]}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->204344010],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"J", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "1"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"J", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"J", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", 
      RowBox[{"-", "1"}]}]}], "]"}]}], "}"}]], "Output",
 ImageSize->{398, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->345733104]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DensityMatrix", "[", 
   RowBox[{"sys", ",", 
    RowBox[{"ComplexExpandVariables", "\[Rule]", "True"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->248152200],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{823, 49},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->9966102]
}, Open  ]],

Cell["Indicate real and imaginary parts using labels:", "ExampleText",
 CellID->12223885],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DensityMatrix", "[", 
   RowBox[{"sys", ",", 
    RowBox[{"ComplexExpandVariables", "\[Rule]", "Subscript"}]}], "]"}], "//",
   "MatrixForm"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->213780995],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{745, 49},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]//MatrixForm=",
 CellID->116359875]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "DMLabel",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 "WholeCellGroupOpener" -> True,
 CellID->722695695],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<AtomicDensityMatrix`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->57942322],

Cell["Label the density matrix elements:", "ExampleText",
 CellID->158245489],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DensityMatrix", "[", 
   RowBox[{
    RowBox[{"Sublevels", "@", 
     RowBox[{"AtomicState", "[", 
      RowBox[{"1", ",", " ", 
       RowBox[{"J", "\[Rule]", "1"}]}], "]"}]}], ",", 
    RowBox[{"DMLabel", "\[Rule]", "\"\<a\>\""}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->71521896],

Cell[GraphicsData["CompressedBitmap", "\<\
eJztXL9v3DYUpk/3S75Dz0EytECHK7J0yNCgS3BTgBZJXKCt0QAF2qGpEURw
hqJB6sGbs3m0No/+E7zJo0ePHj3c4NGjR4+qKD5S5OXdHXnk6XSSDj5ZosmP
fB/fIyl+ln7e3d9798/u/vu3u8OXH3c/7L1/+9/wxb8fkyRvg5CN3wghT4eE
nsfJKRzi5Cd+TQ80JTv/Ov3lkXE4ImQUknFy9QjS4nhMWPKY+Ei+AZLv+wLh
YfkeM7Nb7E9/n56epmf0+wVkD0cBiSDNg2MUMkh61Uby9eWqwii9aljgdRC8
J3X7rPDA1T8dHh6KPmd4pMkuvr2+vn51fn6uVD9OquKwLF+XeVn6GZERPQ1Y
FVGQehnL1lJaGY9DQnM20mLNpEQsF+kAMs/GPzwbGCLsZ6UkG4xqa+jV1hJG
swCi5obj2OfJvDSLt80SEybDEDC5IcAyH2vWjJnVZuZinWzY/u7q6goJ4b2T
kxMR3aKHopCCSvwm+KIr01YJ/hnv7BobbRjmpjLaTJZjaVFyBey0BJP0y4sq
DhSwKrJRR6cZnZnN8KbkketrIk7cR+rzy07lg/nNoL4IUTgOA0FDTWeezdBl
GFYF3fv7+6ODgwN5qPCyP4nhwuOFkk4Oo7RlYqBPIHmtslEtiRA+qnlIvj6S
lo1MgbC8rYnX0cTzEKb4/CS7mJhNMBddC0Za/CiV5WWqzYwuniUj4JIHR0dH
NKqkahhy49nl5SUr2IPAnxhXRxxMpbM7dYDB7GzjU10Y+ZowndkwLYQleeCg
VkhDG+0ZbIT0i08Es7SLRlQlCZkD44gIiCN6D0rvRT+LI7a+/fL29nZq1GJr
3h6Af7Z8T1Yz3KAej3k1HbvJ6WrAtfXhsBldWCatudoIYX7RGegq3R8FI3XZ
OMtz1tp6Azib/oeAQTZuOISy3dMEoCiYiOJ0Jo/73LBATObQbdlKXMmjLGfh
BjZpra+B09HAsfGNzeKZKrY0oNklNFUHx8ZU8He6yBJ71xr+Lk/j0ji07YD0
/KF/sYCGVYOyS7QxnT++O5VtxqVL4J+QFsirav5h97ae5PBZPrlVvZVW86vj
aroIkTM4fm3RnX9YlP3L3o3MTNTd5PzTKPcbo9y+WcPT43a1y3wF/T9PqdRV
NJ8VCA9TSL8xo+chQLhSEV2rkk/r9mnjYarp0Mwdso2pPCQtYdgcWa4h5Vu+
bGomAm6VmTHd6ryaMkPh1MzJ+otFsXt5yo3MlrdKim20YaLToFS8uamzmtwt
Tf/UpbO3SMQvRdMyVedc66Cz/k9HQ9sarB8zprjVY0hXF7VkZqEgXI4Opqno
OVJKp+/pG+lhg/UhRBOuesTMUU4dEbJQpLlRzjSFPl8bSks1w9YButuXgyJb
PxfKRi8sqOUGaqlNvxsGCR/jLXQ1HenPlVpq4xdbxTN1Fk5JTNVRS21MXdDf
p+iOPzggPX/oV/nx14VRbEJf/BFpgY2++GCl1WDCtr0oq83xjkV3rkotXcjE
Iqilhrum6bGgKmZeZWq1tFZLK9K+tVNLNeVLYX/lxdJ8CZNhYLWxdlppvowt
Uyr9cHx8bBLC7mUre9myejJp3pyVRSLNm7eiyKPKC0DUKKf/I7x1d3cnRflS
JC5dGbM6sqhrRsojh7pmJicZFN5zMby5udk5OzuTIHmr6MM74o0Oy5RB5+iW
1ZE/HRFRHtnTESH5yJ0QUc8vLi6mPChKpy4RbO7lzlU8KIrN7bp7kO6Fv7wf
FC2W7LmKB0Vt+h8Cht7VTb6hAHtzEF/vORDJ8nhQtCB6YB4PipbE1GVLn+Dv
ylaF7O8NutqqBc8J6LTnGnTaZNzzhTkyNtQyp1E1PkKkp3As3mpBvzbP+K5K
5vQRO8DE34Hk1UuaLHiUV8CSjf8BUutVyw==\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{338, 49},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//MatrixForm=",
 CellID->151208043]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "TimeDependence",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection",
 "WholeCellGroupOpener" -> True,
 CellID->841132874],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<AtomicDensityMatrix`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->309288205],

Cell["Remove explicit time dependence:", "ExampleText",
 CellID->137270048],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DensityMatrix", "[", 
   RowBox[{
    RowBox[{"Sublevels", "@", 
     RowBox[{"AtomicState", "[", 
      RowBox[{"1", ",", " ", 
       RowBox[{"J", "\[Rule]", "1"}]}], "]"}]}], ",", 
    RowBox[{"TimeDependence", "\[Rule]", "False"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->60846088],

Cell[GraphicsData["CompressedBitmap", "\<\
eJztm7tP20AYwA87D5NEJLQMdMvYsd2qTB1aoJUq9U9ohGrBUBVRhmx0y4g3
Rv4ENjMyZmRk8MCYoQMTYnR9T98lR/I5vjhnKZGc2OfP3+P83cO/nL/1z45+
/uqfHR/2u/un/ZOj48M/3b3fp0mRu4EQekq2912E9+Nkl309oTiO8Uny84r8
uCgKegj1AhQlRzusLI4jRIsjtKmRa2vkdizSp5PbomFX6akfV1dXZA9vDSYe
BvRyfFRjZUHPRyEra8lqg5AcORo5F6ivrtH3eu2LVh/z7+/5+bm4b1QfqtCD
t/f39wc3NzeK+SgxFSqmqor5OApQkiCJPP5UkB/S8tAnWUOtekKMf7gY81AE
Rq+SnMtkzYFZa5YxNlkN+SRN1RHK0vvcKGNwQGte2ve8u7u70+Tw0eXlpUhv
UT1hgIJIbS6ycw6rOLkJ4Y30iEguC5MjFkNVxIs3fqlyR3xqIm1KqTpdS3ZY
O53lhvuCjGyvUcawt+e7gXPDD9k5X4RW+tCX5gbr8r3n5+fhYDCQm4ubnhJN
xuXVlVR0EBKLoqdJ1MlB8XbJg9INPnJZ2hJ94X0NqK8O1Ldpp/tV/i1dy68p
URhQfexuDYbDIU4uSY6qdT6MRqOKEMXxTTTxntqGptuLzrGavkcMwk2gmvps
NU37PKaJ5WkTy27PYWrwVBRPSadSiI7yu+PxWMnW6clzUxkH8DY1JUnGE+4F
rajKZLlujuWxOp2lrgZX17A5Ak9kCjHv99SBN51NW+Z9ZnW65x+eXMpTU4Wl
b+hPpC/psWM+jSMT9V7qIJ2400tasowy0NPn7aQRs4Fgtp46QE/LPnfp/IZe
Z7G7cD1kIiWQCCB35E5bald7uU5/SXtHcWrjZV+qzCNxN0hNRAeZir9qFM+w
+W8tbkacE795FBBKC99YpE9HH1uLVc8i1M40Bdxd+6Ilks1stzR9UskFtqAc
zZHklo8kO6UMDmquXcrogFAyY8/E0xiGqMxgsaIJZNv6GM3YtD/OpbHFhTrv
3FQrK0wzzRi37A4jq17Lw4Eyx8YiuWiGiAEhnCEK2bHXc6A6iyOYQyUXHeZz
UjEghBM4wwyRbNvq/VxVHfs8z0AiM46qvLvIwcogSM4Uidy2z91ZeixyF0Ii
M3ZQPHeWQiL3svnisRaSi0TuZ7NpFc0rs/iaRK5JZIl8sYdEAtGgTL1KAyKL
ja1gDllscNkw5MnFxUWWHIahq/xI0G4EWXR8q8CPRce4bPSovIGgZjr+B7zz
+Pgo1UhuyAVFhJYiR9Purwg1mg4DihjZ5LD78PDw/fr6WpLjavHKIbEo3SRi
nMMELUSLhjxeAVI05PkclMg6sI+3t7cvLHDEnZfIM7MocRULHM3ixKIXOJpF
iqtY4Mj+IMFzw8lF2br3ZviIaQB8FbHA0SCnK2KBo0XuQrCi7tlYzh0HD3pL
hYmfiBncHdJk5a+ganI2J0L8rFHsKjbFqnO8jTVlTFx9VRht/AccKXwC\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{245, 49},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//MatrixForm=",
 CellID->226201832]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Closed]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SeeAlsoSection",
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
        ButtonFrame -> "None"]], "SeeAlsoSection"], 
     TextData[
      ButtonBox[
       Cell[
        TextData[{
          Cell[
           BoxData[
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[24]]]], "See Also"}], "SeeAlsoSection"], BaseStyle -> 
       None, Evaluator -> None, Method -> "Preemptive", 
       ButtonFunction :> (FrontEndExecute[{
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], All, ButtonCell], 
          FrontEndToken["OpenCloseGroup"], 
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
       ButtonFrame -> "None"]]], None}, {None, None}},
 CellFrameLabelMargins->0,
 "WholeCellGroupOpener" -> True,
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["DMVariables",
    BaseStyle->"Link",
    ButtonData->"paclet:AtomicDensityMatrix/ref/DMVariables"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Ket",
    BaseStyle->"Link",
    ButtonData->"paclet:AtomicDensityMatrix/ref/Ket"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "TutorialsSection",
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "TUTORIALS", BaseStyle -> None, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
        ButtonFrame -> "None"]], "TutorialsSection"], 
     TextData[
      ButtonBox[
       Cell[
        TextData[{
          Cell[
           BoxData[
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[24]]]], "Tutorials"}], "TutorialsSection"], BaseStyle -> 
       None, Evaluator -> None, Method -> "Preemptive", 
       ButtonFunction :> (FrontEndExecute[{
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], All, ButtonCell], 
          FrontEndToken["OpenCloseGroup"], 
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
       ButtonFrame -> "None"]]], None}, {None, None}},
 CellFrameLabelMargins->0,
 "WholeCellGroupOpener" -> True,
 CellID->250839057],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["The Density Matrix and the Liouville Equation",
 BaseStyle->"Link",
 ButtonData->
  "paclet:AtomicDensityMatrix/tutorial/\
TheDensityMatrixAndTheLiouvilleEquation"]], "Tutorials",
 CellID->137737211],

Cell[TextData[ButtonBox["Displaying the Density Matrix",
 BaseStyle->"Link",
 ButtonData->
  "paclet:AtomicDensityMatrix/tutorial/DisplayingTheDensityMatrix"]], \
"Tutorials",
 CellID->341631938],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "MoreAboutSection",
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
        ButtonFrame -> "None"]], "MoreAboutSection"], 
     TextData[
      ButtonBox[
       Cell[
        TextData[{
          Cell[
           BoxData[
            InterpretationBox[
             StyleBox[
              
              GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
               Baseline], "CacheGraphics" -> False], 
             Spacer[24]]]], "More About"}], "MoreAboutSection"], BaseStyle -> 
       None, Evaluator -> None, Method -> "Preemptive", 
       ButtonFunction :> (FrontEndExecute[{
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], All, ButtonCell], 
          FrontEndToken["OpenCloseGroup"], 
          FrontEnd`SelectionMove[
           FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
       ButtonFrame -> "None"]]], None}, {None, None}},
 CellFrameLabelMargins->0,
 "WholeCellGroupOpener" -> True,
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["AtomicDensityMatrix Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"]], "MoreAbout",
 CellID->51561743],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"DensityMatrix  - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2013, 7, 19, 15, 4, 0.6100685}", "context" -> 
    "AtomicDensityMatrix`", "keywords" -> {"ADM", "Atomic Density Matrix"}, 
    "index" -> True, "label" -> "AtomicDensityMatrix Paclet Symbol", 
    "language" -> "en", "paclet" -> "AtomicDensityMatrix", "status" -> "None",
     "summary" -> 
    "DensityMatrix[sys] forms the density matrix for an atomic system (list \
of AtomicState objects) sys.", "synonyms" -> {}, "title" -> "DensityMatrix ", 
    "type" -> "Symbol", "uri" -> "AtomicDensityMatrix/ref/DensityMatrix"}, 
  "SearchTextTranslated" -> "", "SearchText" -> ""},
CellContext->"Global`",
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0 for Microsoft Windows (64-bit) (May 21, 2008)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[18783, 466, 1727, 43, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->43913799]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 58594, 1539}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 76, 1, 3, "SymbolColorBar"],
Cell[647, 24, 220, 5, 70, "LinkTrail"],
Cell[870, 31, 11034, 231, 70, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[11929, 266, 57, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[11989, 269, 686, 22, 70, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[12712, 296, 1799, 46, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->416649177],
Cell[14514, 344, 861, 21, 70, "SectionHeaderSpacer"],
Cell[15378, 367, 73, 1, 70, "Notes",
 CellID->1067943069],
Cell[15454, 370, 2428, 68, 70, "3ColumnTableMod",
 CellID->264018771],
Cell[17885, 440, 861, 21, 70, "SectionFooterSpacer"]
}, Closed]],
Cell[CellGroupData[{
Cell[18783, 466, 1727, 43, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->43913799],
Cell[CellGroupData[{
Cell[20535, 513, 181, 6, 70, "ExampleSection",
 CellID->261549266],
Cell[20719, 521, 96, 1, 70, "ExampleText",
 CellID->282740562],
Cell[20818, 524, 127, 3, 70, "Input",
 CellID->79203784],
Cell[CellGroupData[{
Cell[20970, 531, 221, 7, 70, "Input",
 CellID->313233494],
Cell[21194, 540, 281, 9, 70, "Output",
 CellID->21401964]
}, Open  ]],
Cell[CellGroupData[{
Cell[21512, 554, 143, 4, 70, "Input",
 CellID->39827372],
Cell[21658, 560, 1100, 34, 70, "Output",
 CellID->397354089]
}, Open  ]],
Cell[CellGroupData[{
Cell[22795, 599, 125, 3, 70, "ExampleDelimiter",
 CellID->176211259],
Cell[22923, 604, 93, 1, 70, "ExampleText",
 CellID->343098914],
Cell[23019, 607, 128, 3, 70, "Input",
 CellID->495464058],
Cell[CellGroupData[{
Cell[23172, 614, 399, 12, 70, "Input",
 CellID->932950030],
Cell[23574, 628, 830, 24, 70, "Output",
 CellID->205216064]
}, Open  ]],
Cell[CellGroupData[{
Cell[24441, 657, 144, 4, 70, "Input",
 CellID->104442822],
Cell[24588, 663, 2566, 46, 70, "Output",
 Evaluatable->False,
 CellID->294025647]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27203, 715, 125, 3, 70, "ExampleDelimiter",
 CellID->133916380],
Cell[27331, 720, 128, 3, 70, "Input",
 CellID->424631871],
Cell[27462, 725, 96, 1, 70, "ExampleText",
 CellID->396876126],
Cell[CellGroupData[{
Cell[27583, 730, 362, 11, 70, "Input",
 CellID->282938609],
Cell[27948, 743, 1375, 40, 70, "Output",
 CellID->265154442]
}, Open  ]],
Cell[CellGroupData[{
Cell[29360, 788, 143, 4, 70, "Input",
 CellID->22237377],
Cell[29506, 794, 2724, 49, 70, "Output",
 Evaluatable->False,
 CellID->47748122]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32291, 850, 255, 8, 70, "ExampleSection",
 CellID->345182584],
Cell[CellGroupData[{
Cell[32571, 862, 276, 8, 70, "ExampleSubsection",
 CellID->726865425],
Cell[32850, 872, 128, 3, 70, "Input",
 CellID->220702645],
Cell[32981, 877, 103, 2, 70, "ExampleText",
 CellID->226270345],
Cell[CellGroupData[{
Cell[33109, 883, 226, 7, 70, "Input",
 CellID->204344010],
Cell[33338, 892, 650, 20, 70, "Output",
 CellID->345733104]
}, Open  ]],
Cell[CellGroupData[{
Cell[34025, 917, 226, 7, 70, "Input",
 CellID->248152200],
Cell[34254, 926, 3349, 59, 70, "Output",
 Evaluatable->False,
 CellID->9966102]
}, Open  ]],
Cell[37618, 988, 89, 1, 70, "ExampleText",
 CellID->12223885],
Cell[CellGroupData[{
Cell[37732, 993, 231, 7, 70, "Input",
 CellID->213780995],
Cell[37966, 1002, 3091, 55, 70, "Output",
 Evaluatable->False,
 CellID->116359875]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[41106, 1063, 261, 8, 70, "ExampleSubsection",
 CellID->722695695],
Cell[41370, 1073, 127, 3, 70, "Input",
 CellID->57942322],
Cell[41500, 1078, 77, 1, 70, "ExampleText",
 CellID->158245489],
Cell[CellGroupData[{
Cell[41602, 1083, 353, 11, 70, "Input",
 CellID->71521896],
Cell[41958, 1096, 2151, 39, 70, "Output",
 Evaluatable->False,
 CellID->151208043]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[44158, 1141, 268, 8, 70, "ExampleSubsection",
 CellID->841132874],
Cell[44429, 1151, 128, 3, 70, "Input",
 CellID->309288205],
Cell[44560, 1156, 75, 1, 70, "ExampleText",
 CellID->137270048],
Cell[CellGroupData[{
Cell[44660, 1161, 356, 11, 70, "Input",
 CellID->60846088],
Cell[45019, 1174, 1744, 32, 70, "Output",
 Evaluatable->False,
 CellID->226201832]
}, Open  ]],
Cell[46778, 1209, 861, 21, 70, "SectionFooterSpacer"]
}, Closed]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47700, 1237, 1575, 40, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[49278, 1279, 526, 18, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[49841, 1302, 1582, 40, 70, "TutorialsSection",
 CellID->250839057],
Cell[51426, 1344, 861, 21, 70, "SectionHeaderSpacer"],
Cell[52290, 1367, 224, 5, 70, "Tutorials",
 CellID->137737211],
Cell[52517, 1374, 195, 5, 70, "Tutorials",
 CellID->341631938],
Cell[52715, 1381, 861, 21, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53613, 1407, 1583, 40, 70, "MoreAboutSection",
 CellID->38303248],
Cell[55199, 1449, 861, 21, 70, "SectionHeaderSpacer"],
Cell[56063, 1472, 180, 4, 70, "MoreAbout",
 CellID->51561743],
Cell[56246, 1478, 861, 21, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[57122, 1502, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

