(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     52834,       1654]
NotebookOptionsPosition[     45197,       1411]
NotebookOutlinePosition[     47632,       1468]
CellTagsIndexPosition[     47589,       1465]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "TutorialColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["AtomicDensityMatrix Package",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {
    StyleBox[
     GraphicsBox[RasterBox[CompressedData["
1:eJy9lulTk1cUxp+Zfu+Xfu5MO9O/oF90povj0A6dVtupdRsBqwRCg+DCqCxF
LLIIoUAIyGLayqJCFZRYVJaAaDBsQkBCEhaVoCjEBAiLTSLJ7bmX0nEBhZZ6
5mbmTebN/d3nnOec930/cN+mwLcAvEefD+jDr9nrwul0DvabbdaxuwNm++Ox
197/r8PQrY/bLwnyxYFvEL0F8TtwOiNq9IHFYDC4XK5VBGmvaXasg/QLRH6H
xABkBiFXhvw9fCVJP7LZbKsFemwdC1gP2ZdcjnwXCvag9BAuxOByHC4dQUU0
dBfzV4vV0aoL+4orOv49ckNRHo3qeDQehy4NzWnQpvCv/W2aRf+70vSeK8o/
+C0vkDIEZYdx5SfclKM9Az05MOai9wQ6FahLwJT9ObeQkaqrq3t7e1fESo+W
/LgV8t1QhfPU1Seh5WfczoY5D4Mn0V/AoSSwNkfidjnpfofDUVVVpVKpFArF
5OTkiliZMZJ4PyiCceYg/ohDUyq6stCXhzsqziIicXVyXriyVMnQoHnt2rV+
fn5paWkmk2lFIAptrfqYHzceJZBy1ZaObiUGCjirL5/nsDWdl+yXvfw8R3e8
EyYLIVBhYSEJfMW25F6HCKeI+R+npxzJOzmLEtiQhFuZvEzEouzps9CQzN1C
5s8IQroE4VvWJB2NLsqKP3U8vCI7ytypm0/syzExMaFWqxMTE2NjY0NDQ6VS
aVNTk8vpVMVLToZxq9cnclZvLsd1KDiFtFA1Y7aAtKfuflsRFXA+YSMdifzT
ks7PdjXV1/7IspS69vZ2uVyeLYKqbLFYGmursqUoO8RzRSwqUJcSJRGcsssH
gZ/zYULaC/fzapJVhn7F47MYPw/b77CVYlCFe83qpXDUFw0NDSUlJZRPo9FY
U1OTk5kWfzjsVOQ6qg7t1piMw5uw/VPs/gx7N/JhQiBy42gJZi/iaS3YdTAd
WBtYEzwaTJbj0a0lcez5TrxvGcpOOFCsiCOxOTEBcdu5HN7jm3k7kG2ou20X
4KqDpxXsNlgPmAmsD6xfXLdh5jK8Txev3cthHbHkhWLfRq6FRhY1OMmZ92db
BkbPYk4LZgS7BzYMZhHr/sIaBNPDZX6VtGeDJvDWT3iBwjZwM5yQ8ZLdSMGA
CvZyeBrE+Qn0QLCGwO6KixGwh+JHwg0vi3X6t/xtArTvayT4o/gAauLRmYVH
xXBWgmnAOsEMYunBugSXEnhHqBsRi9Cji4/NZ6MgK3Xrx7xAVB3qIz7b0/jQ
mD4PTzXYNbBWjrBW4mExZtXw1nNLcKhRyLEIgXThMC8ndTvXI3Yb0gNx+Sjv
rNHT+FMN1igo3VzIXD0myjB5DtMV8F5ZOECXcMggF2hvW+OcedUkoYcXGTvY
lzucZi+BqLlmKjB3FV6dOLlZ7Ebb3oRXAzeZrUak9IYwPN3QK264jYfmG0ql
UqfTud3uRVl1V9TkOrKcUoq6YzDlwVEBz3V42xfyc0eUhjbsAGsB04qlE/QO
oYv8b5Iw19+KZmdnl9JVVX7m0CZkSXmNqP2fXIS3UezQt+DqAZFDk/BGm8A1
i9Uivhqj2IiGzS2rrcI30OjGuUgYcmAthUcr0jK44K57mGp511r1ITdDI7xa
Pi68VKkWibs5io3pl0mZj+wjkuwf+AgdL8VcrUiLSfTmiOigHlSejLTb7XNP
HJ6pMc+4hdFkWPZweCGMHbriCJjzMX1B2NggCjQkerYLTlufv79/T0/PUuVe
UdDTpzLJl56Jzkui3D0LxuuVOMctPj4+MpksOTlZr9f/dxbFU5dztFtjPcPN
7CUnd0cxq34+URERESEhISkpKTMzM6vC+ic8bucLg3p4eDgoKIjel1YXtGjQ
e0JwcDA94N4Ai6KoqGh8fPzNsFbFgf9r/AWVRIUY
       "], {{0, 0}, {36, 32}}, {0, 255},
       ColorFunction->RGBColor],
      ImageSize->{36, 32},
      PlotRange->{{0, 36}, {0, 32}}],
     Deployed->True,
     StripOnInput->False], Cell[
    "ATOMIC DENSITY MATRIX TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "AtomicDensityMatrix Package", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]]}, #, 2]& , Evaluator -> 
        Automatic], {1->"\<\"AtomicDensityMatrix Package\"\>"}, 
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"More About \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "MatrixMultiply", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/ref/MatrixMultiply", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]], 
          StringReplace[
           "TensorNorm", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/ref/TensorNorm", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]]}, #, 2]& , Evaluator -> 
        Automatic], {1->"\<\"MatrixMultiply\"\>", 2->"\<\"TensorNorm\"\>"}, 
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"Functions \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "AtomicDensityMatrix/tutorial/\
InnerProductsAndMatrixMultiplication", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> None, 
          StringReplace[
           "Copy Mathematica url", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  StringReplace[
                  "AtomicDensityMatrix/tutorial/\
InnerProductsAndMatrixMultiplication", 
                   "http://reference.wolfram.com/mathematica/" -> 
                   "http://budker.berkeley.edu/ADM/"]]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, 
              StringReplace[
              "Copy", "http://reference.wolfram.com/mathematica/" -> 
               "http://budker.berkeley.edu/ADM/"]]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], Delimiter, 
          StringReplace[
           "Copy web url", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  BoxData[
                   MakeBoxes[
                    Hyperlink[
                    StringReplace[
                    "http://reference.wolfram.com/mathematica/\
AtomicDensityMatrix/tutorial/InnerProductsAndMatrixMultiplication.html", 
                    "http://reference.wolfram.com/mathematica/" -> 
                    "http://budker.berkeley.edu/ADM/"]], StandardForm]], 
                  StringReplace[
                  "Input", "http://reference.wolfram.com/mathematica/" -> 
                   "http://budker.berkeley.edu/ADM/"], TextClipboardType -> 
                  StringReplace[
                   "PlainText", "http://reference.wolfram.com/mathematica/" -> 
                    "http://budker.berkeley.edu/ADM/"]]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, 
              StringReplace[
              "Copy", "http://reference.wolfram.com/mathematica/" -> 
               "http://budker.berkeley.edu/ADM/"]]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], 
          StringReplace[
           "Go to web url", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> FrontEndExecute[{
             NotebookLocate[{
               URL[
                StringJoin[
                 StringReplace[
                 "http://reference.wolfram.com/mathematica/", 
                  "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"], 
                 StringReplace[
                 "AtomicDensityMatrix/tutorial/\
InnerProductsAndMatrixMultiplication", 
                  "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"], 
                 StringReplace[
                 ".html", "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"]]], None}]}]}, #, 2]& , 
        Evaluator -> Automatic], {
       1->"\<\"AtomicDensityMatrix/tutorial/\
InnerProductsAndMatrixMultiplication\"\>", 2->"\<\"Copy Mathematica url\"\>", 
       Delimiter, 4->"\<\"Copy web url\"\>", 5->"\<\"Go to web url\"\>"}, 
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"URL \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxAlignment->{"Columns" -> {{Left, Left, Right}}},
 GridBoxItemSize->{"Columns" -> {
     Scaled[0.05], 
     Scaled[0.3], {
      Scaled[0.64]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["Inner Products and Matrix Multiplication", "Title",
 CellID->118875122],

Cell[TextData[{
 "In quantum-mechanical matrix notation, the inner product and the action of \
operators on state vectors are implemented as matrix multiplication. The \
standard ",
 ButtonBox["Dot",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dot"],
 " product in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " does not handle the inner product of vectors whose components are \
operators properly, because it tries to contract the last index of the first \
argument with the first index of the second argument. "
}], "Text",
 CellID->468072894],

Cell[TextData[{
 "The ",
 ButtonBox["Atomic Density Matrix",
  BaseStyle->"Link",
  ButtonData->"paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"],
 " package provides the function ",
 Cell[BoxData[
  ButtonBox["MatrixMultiply",
   BaseStyle->"Link",
   ButtonData->"paclet:AtomicDensityMatrix/ref/MatrixMultiply"]], 
  "InlineFormula"],
 " that takes into account the meaning of various tensor structures when \
combining them. The package defines ",
 ButtonBox["CenterDot",
  BaseStyle->"Link",
  ButtonData->"paclet:AtomicDensityMatrix/ref/CenterDot"],
 " to be equivalent to ",
 Cell[BoxData[
  ButtonBox["MatrixMultiply",
   BaseStyle->"Link",
   ButtonData->"paclet:AtomicDensityMatrix/ref/MatrixMultiply"]], 
  "InlineFormula"],
 ". ",
 ButtonBox["CenterDot",
  BaseStyle->"Link",
  ButtonData->"paclet:AtomicDensityMatrix/ref/CenterDot"],
 " can be entered as \[EscapeKey]",
 StyleBox[".\[EscapeKey]", "MR"],
 "."
}], "Text",
 CellID->59487880],

Cell[BoxData[GridBox[{
   {
    RowBox[{
     RowBox[{
      ButtonBox["MatrixMultiply",
       BaseStyle->"Link",
       ButtonData->"paclet:AtomicDensityMatrix/ref/MatrixMultiply"], "[", 
      RowBox[{
       StyleBox["a", "TI"], ",", 
       StyleBox["b", "TI"]}], "]"}], " ", "or", " ", 
     RowBox[{
      StyleBox["a", "TI"], "\[CenterDot]", 
      StyleBox["b", "TI"]}]}], 
    StyleBox[
     RowBox[{
      RowBox[{"product", " ", "of", " ", "spherical", " ", "tensors"}], ",", 
      " ", 
      RowBox[{"cartesian", " ", "tensors"}], ",", " ", 
      RowBox[{"and", " ", "operators"}]}], "TableText"]},
   {
    RowBox[{
     ButtonBox["TensorNorm",
      BaseStyle->"Link",
      ButtonData->"paclet:AtomicDensityMatrix/ref/TensorNorm"], "[", 
     StyleBox["expr", "TI"], "]"}], 
    RowBox[{"norm", " ", "of", " ", 
     StyleBox["expr", "TI"]}]}
  }]], "DefinitionBox",
 CellID->22540259],

Cell["Matrix multiplication.", "Caption",
 CellID->310518873],

Cell["This loads the package.", "MathCaption",
 CellID->225745992],

Cell[BoxData[
 RowBox[{"<<", "AtomicDensityMatrix`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->141058412],

Cell["\<\
Matrix multiplication of a bra vector (covariant spherical tensor) with a ket \
vector (contravariant spherical tensor). The result is a scalar.\
\>", "MathCaption",
 CellID->66616998],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "\[CenterDot]", 
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->573294225],

Cell[BoxData["1"], "Output",
 ImageSize->{11, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->43846853]
}, Open  ]],

Cell["\<\
Matrix multiplication in the reverse order produces an operator (the outer \
product).\
\>", "MathCaption",
 CellID->137364385],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1"},
       {"0"},
       {"0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "\[CenterDot]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->206061004],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0"},
     {"0", "0", "0"},
     {"0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{61, 43},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->393737636]
}, Open  ]],

Cell["\<\
Matrix multiplication contracts an operator with a bra to its left, or a ket \
to its right.\
\>", "MathCaption",
 CellID->122232232],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], "\[CenterDot]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "1"},
       {"0", "1", "0"},
       {"1", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->11890516],

Cell[GraphicsData["CompressedBitmap", "\<\
eJzFVEtOxDAM9dAPooPEFbpHHKA5AKw4RDUimlkg0DAH8Wl8mRzGuKnrZqq0
CAmJSM3Hz33Pdp2+9pfj23t/OR369uXcfx5Ph6/2+eMspmIHAJ08Dy0Me5at
Th0wy66MSwEBPWDgeHpUGwcEjyGeRr/BOEJMgAo9GQUCMZtH6k5o7CNTFdkd
TMNFvPkRqwFnQIcfZKskaKRsFCQBBr6OIs17yrfZwO6VC523ZGsTC1IUSqVv
MlClc0ox1NM7NOkclpO+nVIjUl9WzQ3pekHP0/luG97/Lncru5/dy/8IINd9
f1F8k15vufi6p0XLSQerjcmDu2q5NayEEbJi2KdPylusX+pSZyFNr80+b27s
HYl/NqcZL/4M3cYCu2+LsSpQ\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{57, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]//MatrixForm=",
 CellID->9067644]
}, Open  ]],

Cell[TextData[{
 "Matrix multiplication is applied to each tensor of a tensor decomposition. \
With default option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["SumRanks",
    BaseStyle->"Link",
    ButtonData->"paclet:AtomicDensityMatrix/ref/SumRanks"], "->", 
   ButtonBox["True",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/True"]}]], "InlineFormula"],
 " the values obtained for each tensor rank are totaled."
}], "Text",
 CellID->134078055],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Decomposition",
   BaseStyle->"Link",
   ButtonData->"paclet:AtomicDensityMatrix/ref/Decomposition"]], 
  "InlineFormula"],
 " decomposes an operator into polarization moments."
}], "MathCaption",
 CellID->1322930],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"d", "=", 
    RowBox[{"Decomposition", "[", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1", "0", "0"},
         {"0", "0", "0"},
         {"0", "0", "0"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]], "]"}]}], ")"}], "//", 
  "TensorForm"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->311033312],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        FractionBox["1", 
         SqrtBox["3"]]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0"},
       {
        FractionBox["1", 
         SqrtBox["2"]]},
       {"0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0"},
       {"0"},
       {
        FractionBox["1", 
         SqrtBox["6"]]},
       {"0"},
       {"0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 ImageSize->{172, 89},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->418173420]
}, Open  ]],

Cell["\<\
The sum of the inner products of each rank tensor with itself is equal to the \
square of the trace of the original operator.\
\>", "MathCaption",
 CellID->49979437],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SuperscriptBox["d", "\[Dagger]"], "\[CenterDot]", "d"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->22561579],

Cell[BoxData["1"], "Output",
 ImageSize->{11, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->160813407]
}, Open  ]],

Cell[TextData[{
 "With ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["SumRanks",
    BaseStyle->"Link",
    ButtonData->"paclet:AtomicDensityMatrix/ref/SumRanks"], "->", 
   ButtonBox["False",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/False"]}]], "InlineFormula"],
 ", the inner products are not totaled."
}], "MathCaption",
 CellID->658011541],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixMultiply", "[", 
  RowBox[{
   SuperscriptBox["d", "\[Dagger]"], ",", "d", ",", 
   RowBox[{"SumRanks", "->", "False"}]}], "]"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->707138641],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", "3"], ",", 
   FractionBox["1", "2"], ",", 
   FractionBox["1", "6"]}], "}"}]], "Output",
 ImageSize->{74, 30},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->16362776]
}, Open  ]],

Cell["\<\
The matrix product of two Cartesian vectors is just the inner product.\
\>", "MathCaption",
 CellID->29297411],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"x", ",", "y", ",", "z"}], "}"}], "\[CenterDot]", 
  RowBox[{"{", 
   RowBox[{"a", ",", "b", ",", "c"}], "}"}]}]], "Input",
 CellLabel->"In[8]:=",
 CellID->186807318],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "x"}], "+", 
  RowBox[{"b", " ", "y"}], "+", 
  RowBox[{"c", " ", "z"}]}]], "Output",
 ImageSize->{81, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->1921777]
}, Open  ]],

Cell["\<\
A matrix product involving a scalar reduces to simple multiplication.\
\>", "MathCaption",
 CellID->705252093],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"a", "\[CenterDot]", 
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "0", "1"},
       {"0", "1", "0"},
       {"1", "0", "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}]}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[9]:=",
 CellID->129415971],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "a"},
     {"0", "a", "0"},
     {"a", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{61, 43},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[9]//MatrixForm=",
 CellID->468346454]
}, Open  ]],

Cell["\<\
Multiplication of two contravariant or two covariant tensors is not allowed.\
\>", "MathCaption",
 CellID->157179135],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "\[CenterDot]", 
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]]}]], "Input",
 CellLabel->"In[10]:=",
 CellID->96156283],

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixMultiply", "::", "\<\"coco\"\>"}], ":", 
  " ", "\<\"Inner product attempted between two covariant or two \
contravariant tensors.\"\>"}]], "Message",
 CellLabel->"During evaluation of In[10]:=",
 CellID->731571295],

Cell[BoxData[
 RowBox[{"MatrixMultiply", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"{", "0", "}"}], ",", 
     RowBox[{"{", "0", "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"{", "0", "}"}], ",", 
     RowBox[{"{", "0", "}"}]}], "}"}]}], "]"}]], "Output",
 ImageSize->{326, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->11907985]
}, Open  ]],

Cell["Neither is multiplication on the wrong side of an operator.", \
"MathCaption",
 CellID->5110616],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "\[CenterDot]", 
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "0", "0"},
      {"0", "0", "0"},
      {"0", "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]]}]], "Input",
 CellLabel->"In[11]:=",
 CellID->367936581],

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixMultiply", "::", "\<\"opco\"\>"}], ":", 
  " ", "\<\"Operator multiplication attempted on wrong side of covariant or \
contravariant tensor.\"\>"}]], "Message",
 CellLabel->"During evaluation of In[11]:=",
 CellID->339389378],

Cell[BoxData[
 RowBox[{"MatrixMultiply", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"{", "0", "}"}], ",", 
     RowBox[{"{", "0", "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "]"}]], "Output",
 ImageSize->{436, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->568427775]
}, Open  ]],

Cell["Or multiplication of a spherical with a cartesian tensor.", \
"MathCaption",
 CellID->542602165],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"1", ",", "0", ",", "0"}], "}"}], "\[CenterDot]", 
  TagBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]]}]], "Input",
 CellLabel->"In[12]:=",
 CellID->97662589],

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixMultiply", "::", "\<\"sphca\"\>"}], ":", 
  " ", "\<\"Inner product attempted between spherical and Cartesian \
tensors.\"\>"}]], "Message",
 CellLabel->"During evaluation of In[12]:=",
 CellID->95194942],

Cell[BoxData[
 RowBox[{"MatrixMultiply", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", 
     RowBox[{"{", "0", "}"}], ",", 
     RowBox[{"{", "0", "}"}]}], "}"}]}], "]"}]], "Output",
 ImageSize->{284, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[12]=",
 CellID->220707664]
}, Open  ]],

Cell["\<\
Matrix multiplication is recursively applied to tensor structures.\
\>", "Text",
 CellID->109679626],

Cell[TextData[{
 "The covariant spherical tensor components of the angular momentum operator \
for a ",
 Cell[BoxData[
  FormBox[
   RowBox[{"j", "=", "1"}], TraditionalForm]]],
 "state."
}], "MathCaption",
 CellID->64801470],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"jvector", "=", 
    RowBox[{"WignerEckart", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"J", ",", "1"}], "}"}]}], "]"}]}], ")"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[13]:=",
 CellID->802558],

Cell[GraphicsData["CompressedBitmap", "\<\
eJztWj1MGzEUNrlcfi6EQGgpY9QuVStVVYeqylB1artU6tixEWoEQ1VEO2Sj
W0ayMTIysoWRkZGRIQNjRkbG6/nO8dnJ8/M9JwGpukiEnJ993+f33T372f7S
+bP742fnz95Op/XpoLO/u7fzu/Xx10FU5K0wxsbR38sW47/D6Kf4GrMwDLlR
/efH/7zvJycn8S/+V07Kdo+Pj2VZOymr3N3dybobQL03Geu9AOpVkrK/h4eH
sp6X0CwmF8+vr68/n5+fqzT59fZ4PFaqR50aDSLKk0+bDUYhW0NsTcQWpLQk
ToOIHVixS2yQGsSny4Zh6C8M3ghRRZqWAPhy+tC8vrq6AoTStBbV94+OjqZ0
9dlo0I1h4vIIvjsYSaEgWxOxCaFaNzc3Er9BxA4Q2yPRetCOvSZ8Oj/mKnBf
jAeEWU7fp36v11Ml8VLTdHWu3oeLi4v4qiggVRphOGTd9kBKAtmaiK0GuKJO
xA4QW1V2dCQf7kL87U0ebsUVuouhx5LKDZMOqg9hirJev9/nGsVXBUW6wrvL
y8tK2lBWKsq3WgUKJ9d13LyBmwOzdygkqrh5k6YLBblmlMbYpGRWh4daPvrM
qJPEuunQyMWUt7gPnb6dnp5KEnU6CXed5kV210lDFmy0GYKukzavMOu0lADI
gwl/jS1OogdAaEwqLwDTMbBpmMqYJOd4dkm0sgnFEQ/u3WFSPuyytjZNmLU1
EVssSYEzXSMiBlbEIktM8lGtzAk2c8Ma0qQswappaJJgKzTX+wI/urc6V2zA
xZtwMe5rA0QNLm5Kl0WPXFqMe9gAEcD3WoVrz/hVgyD69T3K9y1qfZUTyYnk
RB6SyCRkU1cYtmKbMQUvoT3AQLGlBYxQlmHQacUAI7TQSJqOnrQ1hO3kXrNz
pgzjNG3FAGOB+78EcMSQMNtSnE6dJIsJKHPO1K3iUKfOGFt3cagsliCOa6b5
xNH1rkmlhU7gqIErnTQE50r8d0rQQ4D7KJEHIue8fUu0XnAWTSeSZXZEys0x
Igt1PS1v35L9mT+pNuTtBuRsHs6WoBuQ87w9J5ITmZuIth/ykES0Uwo6Eb7S
uX57e6sSARe7HXbg60hTsb7/9ezsjO/Hxlf4Jgg5n7Ym8Znh6fm6NZefwhZl
/JqXx1f6kj/fnJGHBqCtPizXhnY7rDn21DJ4HcCkZtuLwHRdU7Bm+vDpC/4a
GTYw+Xsj1UrGTL6H4wugRe+7W6e7kPNiRmVEJqeJtREJ6/tcE2zz0ZjpvX/k
JI0WBz0ZWTLv3K7hTYS4fGtVPrENANk3yuGaaGZFtvTZkl5azD5AAjqapupU
4CGtkjKVYi5NHU5t+jyYhrw0dazI96GORiKJWTyEJS/NpO/auyNiPGfJDw4o
TLPvrGMBpZreXw696wCmWRd6EMuKifXTNZz5AHYF8LunSSI1U8KZVlYQkIQ9
9gbSRPGQnB5uGGFJGT22fECDpa8YYDYfwK4A2EKYx6Ln2Xbb1+HaT+HahnTd
sCLwDC42JPeG4mRBY3K8ma38A4sXgx8=\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{231, 43},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[13]//MatrixForm=",
 CellID->586029375]
}, Open  ]],

Cell[TextData[{
 "When the inner product of the ",
 Cell[BoxData[
  FormBox["J", TraditionalForm]]],
 " operator and its dual are taken, the components are combined using matrix \
multiplication. The result is, as we expect, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"j", "(", 
    RowBox[{"j", "+", "1"}], ")"}], TraditionalForm]]],
 " times the identity operator."
}], "MathCaption",
 CellID->108478965],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"jvector", "\[CenterDot]", 
   SuperscriptBox["jvector", "\[Dagger]"]}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[14]:=",
 CellID->342041908],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "0", "0"},
     {"0", "2", "0"},
     {"0", "0", "2"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{61, 43},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[14]//MatrixForm=",
 CellID->100548043]
}, Open  ]],

Cell["\<\
This also works for the Cartesian components of the vector. Here are the \
Cartesian components of the angular-momentum operator.\
\>", "MathCaption",
 CellID->78754650],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"jcart", "=", 
    RowBox[{"ToCartesian", "[", "jvector", "]"}]}], ")"}], "//", 
  "TensorForm"}]], "Input",
 CellLabel->"In[15]:=",
 CellID->187221115],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", 
        FractionBox["1", 
         SqrtBox["2"]], "0"},
       {
        FractionBox["1", 
         SqrtBox["2"]], "0", 
        FractionBox["1", 
         SqrtBox["2"]]},
       {"0", 
        FractionBox["1", 
         SqrtBox["2"]], "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", 
        RowBox[{"-", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "0"},
       {
        FractionBox["\[ImaginaryI]", 
         SqrtBox["2"]], "0", 
        RowBox[{"-", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}]},
       {"0", 
        FractionBox["\[ImaginaryI]", 
         SqrtBox["2"]], "0"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "0", "0"},
       {"0", "0", "0"},
       {"0", "0", 
        RowBox[{"-", "1"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 ImageSize->{337, 93},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[15]=",
 CellID->264669382]
}, Open  ]],

Cell["And the inner product with itself.", "MathCaption",
 CellID->155361334],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"jcart", "\[CenterDot]", "jcart"}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[16]:=",
 CellID->67756377],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"2", "0", "0"},
     {"0", "2", "0"},
     {"0", "0", "2"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{61, 43},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[16]//MatrixForm=",
 CellID->88445569]
}, Open  ]],

Cell["\<\
The norm of a tensor is the square root of the inner product of the tensor \
with its dual tensor. Cartesian vectors are equal to their dual, while the \
dual of a covariant spherical tensor is the contravariant tensor, and vice \
versa.\
\>", "Text",
 CellID->161654739],

Cell["A cartesian vector and its norm.", "MathCaption",
 CellID->461411141],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cart", "=", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TensorNorm", "[", "cart", "]"}]}], "Input",
 CellLabel->"In[17]:=",
 CellID->816530400],

Cell[BoxData["1"], "Output",
 ImageSize->{11, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[17]=",
 CellID->244604303]
}, Open  ]],

Cell["The corresponding spherical tensor and its norm.", "MathCaption",
 CellID->804400142],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToCovariant", "[", "cart", "]"}]], "Input",
 CellLabel->"In[18]:=",
 CellID->41958445],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      SqrtBox["2"]]}], ",", "0", ",", 
    FractionBox["1", 
     SqrtBox["2"]]}], "}"}], "}"}]], "Output",
 ImageSize->{126, 34},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[18]=",
 CellID->486255897]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TensorNorm", "[", "%", "]"}]], "Input",
 CellLabel->"In[19]:=",
 CellID->178223254],

Cell[BoxData["1"], "Output",
 ImageSize->{11, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[19]=",
 CellID->115315306]
}, Open  ]],

Cell["Clean up the symbols.", "MathCaption",
 CellID->418801164],

Cell[BoxData[
 RowBox[{"Remove", "[", 
  RowBox[{"d", ",", "jcart", ",", "jvector", ",", "cart"}], "]"}]], "Input",
 CellLabel->"In[20]:=",
 CellID->135256919],

Cell[CellGroupData[{

Cell["", "TutorialMoreAboutSection",
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell["MORE ABOUT", "TutorialMoreAboutSection"], 
     Cell[
      TextData[{
        Cell[
         BoxData[
          InterpretationBox[
           StyleBox[
            
            GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
             Baseline], "CacheGraphics" -> False], 
           Spacer[24]]]], "More About"}], "TutorialMoreAboutSection"]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 "WholeCellGroupOpener" -> True,
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["AtomicDensityMatrix Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"]], \
"TutorialMoreAbout",
 CellID->1567025153],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Inner Products and Matrix Multiplication - Wolfram \
Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2013, 7, 19, 15, 4, 26.6125558}", "context" -> 
    "AtomicDensityMatrix`", "keywords" -> {"Atomic DensityMatrix", "ADM"}, 
    "index" -> True, "label" -> "Atomic Density Matrix Tutorial", "language" -> 
    "en", "paclet" -> "AtomicDensityMatrix", "status" -> "None", "summary" -> 
    "In quantum-mechanical matrix notation, the inner product and the action \
of operators on state vectors are implemented as matrix multiplication. The \
standard Dot product in Mathematica does not handle the inner product of \
vectors whose components are operators properly, because it tries to contract \
the last index of the first argument with the first index of the second \
argument. The Atomic Density Matrix package provides the function \
MatrixMultiply that takes into account the meaning of various tensor \
structures when combining them. The package defines CenterDot to be \
equivalent to MatrixMultiply. CenterDot can be entered as ESC.ESC. Matrix \
multiplication.", "synonyms" -> {}, "title" -> 
    "Inner Products and Matrix Multiplication", "type" -> "Tutorial", "uri" -> 
    "AtomicDensityMatrix/tutorial/InnerProductsAndMatrixMultiplication"}, 
  "SearchTextTranslated" -> "", "SearchText" -> ""},
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0 for Microsoft Windows (64-bit) (May 21, 2008)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 78, 1, 3, "TutorialColorBar"],
Cell[649, 24, 220, 5, 70, "LinkTrail"],
Cell[872, 31, 9521, 197, 70, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[10418, 232, 77, 1, 70, "Title",
 CellID->118875122],
Cell[10498, 235, 557, 14, 70, "Text",
 CellID->468072894],
Cell[11058, 251, 957, 30, 70, "Text",
 CellID->59487880],
Cell[12018, 283, 904, 28, 70, "DefinitionBox",
 CellID->22540259],
Cell[12925, 313, 61, 1, 70, "Caption",
 CellID->310518873],
Cell[12989, 316, 66, 1, 70, "MathCaption",
 CellID->225745992],
Cell[13058, 319, 107, 3, 70, "Input",
 CellID->141058412],
Cell[13168, 324, 194, 4, 70, "MathCaption",
 CellID->66616998],
Cell[CellGroupData[{
Cell[13387, 332, 1237, 37, 70, "Input",
 CellID->573294225],
Cell[14627, 371, 157, 5, 70, "Output",
 CellID->43846853]
}, Open  ]],
Cell[14799, 379, 137, 4, 70, "MathCaption",
 CellID->137364385],
Cell[CellGroupData[{
Cell[14961, 387, 1304, 38, 70, "Input",
 CellID->206061004],
Cell[16268, 427, 759, 23, 70, "Output",
 CellID->393737636]
}, Open  ]],
Cell[17042, 453, 143, 4, 70, "MathCaption",
 CellID->122232232],
Cell[CellGroupData[{
Cell[17210, 461, 1333, 38, 70, "Input",
 CellID->11890516],
Cell[18546, 501, 611, 14, 70, "Output",
 Evaluatable->False,
 CellID->9067644]
}, Open  ]],
Cell[19172, 518, 449, 13, 70, "Text",
 CellID->134078055],
Cell[19624, 533, 258, 8, 70, "MathCaption",
 CellID->1322930],
Cell[CellGroupData[{
Cell[19907, 545, 864, 26, 70, "Input",
 CellID->311033312],
Cell[20774, 573, 2137, 67, 70, "Output",
 CellID->418173420]
}, Open  ]],
Cell[22926, 643, 175, 4, 70, "MathCaption",
 CellID->49979437],
Cell[CellGroupData[{
Cell[23126, 651, 134, 4, 70, "Input",
 CellID->22561579],
Cell[23263, 657, 158, 5, 70, "Output",
 CellID->160813407]
}, Open  ]],
Cell[23436, 665, 349, 12, 70, "MathCaption",
 CellID->658011541],
Cell[CellGroupData[{
Cell[23810, 681, 212, 6, 70, "Input",
 CellID->707138641],
Cell[24025, 689, 278, 10, 70, "Output",
 CellID->16362776]
}, Open  ]],
Cell[24318, 702, 120, 3, 70, "MathCaption",
 CellID->29297411],
Cell[CellGroupData[{
Cell[24463, 709, 217, 7, 70, "Input",
 CellID->186807318],
Cell[24683, 718, 257, 9, 70, "Output",
 CellID->1921777]
}, Open  ]],
Cell[24955, 730, 120, 3, 70, "MathCaption",
 CellID->705252093],
Cell[CellGroupData[{
Cell[25100, 737, 757, 22, 70, "Input",
 CellID->129415971],
Cell[25860, 761, 759, 23, 70, "Output",
 CellID->468346454]
}, Open  ]],
Cell[26634, 787, 127, 3, 70, "MathCaption",
 CellID->157179135],
Cell[CellGroupData[{
Cell[26786, 794, 1253, 39, 70, "Input",
 CellID->96156283],
Cell[28042, 835, 256, 6, 70, "Message",
 CellID->731571295],
Cell[28301, 843, 496, 17, 70, "Output",
 CellID->11907985]
}, Open  ]],
Cell[28812, 863, 102, 2, 70, "MathCaption",
 CellID->5110616],
Cell[CellGroupData[{
Cell[28939, 869, 1284, 39, 70, "Input",
 CellID->367936581],
Cell[30226, 910, 266, 6, 70, "Message",
 CellID->339389378],
Cell[30495, 918, 608, 20, 70, "Output",
 CellID->568427775]
}, Open  ]],
Cell[31118, 941, 102, 2, 70, "MathCaption",
 CellID->542602165],
Cell[CellGroupData[{
Cell[31245, 947, 735, 23, 70, "Input",
 CellID->97662589],
Cell[31983, 972, 245, 6, 70, "Message",
 CellID->95194942],
Cell[32231, 980, 419, 14, 70, "Output",
 CellID->220707664]
}, Open  ]],
Cell[32665, 997, 110, 3, 70, "Text",
 CellID->109679626],
Cell[32778, 1002, 225, 8, 70, "MathCaption",
 CellID->64801470],
Cell[CellGroupData[{
Cell[33028, 1014, 278, 10, 70, "Input",
 CellID->802558],
Cell[33309, 1026, 1782, 33, 70, "Output",
 Evaluatable->False,
 CellID->586029375]
}, Open  ]],
Cell[35106, 1062, 403, 12, 70, "MathCaption",
 CellID->108478965],
Cell[CellGroupData[{
Cell[35534, 1078, 182, 5, 70, "Input",
 CellID->342041908],
Cell[35719, 1085, 760, 23, 70, "Output",
 CellID->100548043]
}, Open  ]],
Cell[36494, 1111, 179, 4, 70, "MathCaption",
 CellID->78754650],
Cell[CellGroupData[{
Cell[36698, 1119, 203, 7, 70, "Input",
 CellID->187221115],
Cell[36904, 1128, 2582, 80, 70, "Output",
 CellID->264669382]
}, Open  ]],
Cell[39501, 1211, 77, 1, 70, "MathCaption",
 CellID->155361334],
Cell[CellGroupData[{
Cell[39603, 1216, 144, 4, 70, "Input",
 CellID->67756377],
Cell[39750, 1222, 759, 23, 70, "Output",
 CellID->88445569]
}, Open  ]],
Cell[40524, 1248, 281, 6, 70, "Text",
 CellID->161654739],
Cell[40808, 1256, 75, 1, 70, "MathCaption",
 CellID->461411141],
Cell[CellGroupData[{
Cell[40908, 1261, 250, 8, 70, "Input",
 CellID->816530400],
Cell[41161, 1271, 159, 5, 70, "Output",
 CellID->244604303]
}, Open  ]],
Cell[41335, 1279, 91, 1, 70, "MathCaption",
 CellID->804400142],
Cell[CellGroupData[{
Cell[41451, 1284, 110, 3, 70, "Input",
 CellID->41958445],
Cell[41564, 1289, 337, 13, 70, "Output",
 CellID->486255897]
}, Open  ]],
Cell[CellGroupData[{
Cell[41938, 1307, 107, 3, 70, "Input",
 CellID->178223254],
Cell[42048, 1312, 159, 5, 70, "Output",
 CellID->115315306]
}, Open  ]],
Cell[42222, 1320, 64, 1, 70, "MathCaption",
 CellID->418801164],
Cell[42289, 1323, 159, 4, 70, "Input",
 CellID->135256919],
Cell[CellGroupData[{
Cell[42473, 1331, 747, 21, 70, "TutorialMoreAboutSection",
 CellID->23220180],
Cell[43223, 1354, 861, 21, 70, "SectionHeaderSpacer"],
Cell[44087, 1377, 192, 5, 70, "TutorialMoreAbout",
 CellID->1567025153],
Cell[44282, 1384, 861, 21, 70, "SectionFooterSpacer"]
}, Open  ]]
}, Open  ]],
Cell[45170, 1409, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

