(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     58660,       1485]
NotebookOptionsPosition[     52940,       1308]
NotebookOutlinePosition[     55343,       1365]
CellTagsIndexPosition[     55300,       1362]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "TutorialColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["AtomicDensityMatrix Package",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {
    StyleBox[
     GraphicsBox[RasterBox[CompressedData["
1:eJy9lulTk1cUxp+Zfu+Xfu5MO9O/oF90povj0A6dVtupdRsBqwRCg+DCqCxF
LLIIoUAIyGLayqJCFZRYVJaAaDBsQkBCEhaVoCjEBAiLTSLJ7bmX0nEBhZZ6
5mbmTebN/d3nnOec930/cN+mwLcAvEefD+jDr9nrwul0DvabbdaxuwNm++Ox
197/r8PQrY/bLwnyxYFvEL0F8TtwOiNq9IHFYDC4XK5VBGmvaXasg/QLRH6H
xABkBiFXhvw9fCVJP7LZbKsFemwdC1gP2ZdcjnwXCvag9BAuxOByHC4dQUU0
dBfzV4vV0aoL+4orOv49ckNRHo3qeDQehy4NzWnQpvCv/W2aRf+70vSeK8o/
+C0vkDIEZYdx5SfclKM9Az05MOai9wQ6FahLwJT9ObeQkaqrq3t7e1fESo+W
/LgV8t1QhfPU1Seh5WfczoY5D4Mn0V/AoSSwNkfidjnpfofDUVVVpVKpFArF
5OTkiliZMZJ4PyiCceYg/ohDUyq6stCXhzsqziIicXVyXriyVMnQoHnt2rV+
fn5paWkmk2lFIAptrfqYHzceJZBy1ZaObiUGCjirL5/nsDWdl+yXvfw8R3e8
EyYLIVBhYSEJfMW25F6HCKeI+R+npxzJOzmLEtiQhFuZvEzEouzps9CQzN1C
5s8IQroE4VvWJB2NLsqKP3U8vCI7ytypm0/syzExMaFWqxMTE2NjY0NDQ6VS
aVNTk8vpVMVLToZxq9cnclZvLsd1KDiFtFA1Y7aAtKfuflsRFXA+YSMdifzT
ks7PdjXV1/7IspS69vZ2uVyeLYKqbLFYGmursqUoO8RzRSwqUJcSJRGcsssH
gZ/zYULaC/fzapJVhn7F47MYPw/b77CVYlCFe83qpXDUFw0NDSUlJZRPo9FY
U1OTk5kWfzjsVOQ6qg7t1piMw5uw/VPs/gx7N/JhQiBy42gJZi/iaS3YdTAd
WBtYEzwaTJbj0a0lcez5TrxvGcpOOFCsiCOxOTEBcdu5HN7jm3k7kG2ou20X
4KqDpxXsNlgPmAmsD6xfXLdh5jK8Txev3cthHbHkhWLfRq6FRhY1OMmZ92db
BkbPYk4LZgS7BzYMZhHr/sIaBNPDZX6VtGeDJvDWT3iBwjZwM5yQ8ZLdSMGA
CvZyeBrE+Qn0QLCGwO6KixGwh+JHwg0vi3X6t/xtArTvayT4o/gAauLRmYVH
xXBWgmnAOsEMYunBugSXEnhHqBsRi9Cji4/NZ6MgK3Xrx7xAVB3qIz7b0/jQ
mD4PTzXYNbBWjrBW4mExZtXw1nNLcKhRyLEIgXThMC8ndTvXI3Yb0gNx+Sjv
rNHT+FMN1igo3VzIXD0myjB5DtMV8F5ZOECXcMggF2hvW+OcedUkoYcXGTvY
lzucZi+BqLlmKjB3FV6dOLlZ7Ebb3oRXAzeZrUak9IYwPN3QK264jYfmG0ql
UqfTud3uRVl1V9TkOrKcUoq6YzDlwVEBz3V42xfyc0eUhjbsAGsB04qlE/QO
oYv8b5Iw19+KZmdnl9JVVX7m0CZkSXmNqP2fXIS3UezQt+DqAZFDk/BGm8A1
i9Uivhqj2IiGzS2rrcI30OjGuUgYcmAthUcr0jK44K57mGp511r1ITdDI7xa
Pi68VKkWibs5io3pl0mZj+wjkuwf+AgdL8VcrUiLSfTmiOigHlSejLTb7XNP
HJ6pMc+4hdFkWPZweCGMHbriCJjzMX1B2NggCjQkerYLTlufv79/T0/PUuVe
UdDTpzLJl56Jzkui3D0LxuuVOMctPj4+MpksOTlZr9f/dxbFU5dztFtjPcPN
7CUnd0cxq34+URERESEhISkpKTMzM6vC+ic8bucLg3p4eDgoKIjel1YXtGjQ
e0JwcDA94N4Ai6KoqGh8fPzNsFbFgf9r/AWVRIUY
       "], {{0, 0}, {36, 32}}, {0, 255},
       ColorFunction->RGBColor],
      ImageSize->{36, 32},
      PlotRange->{{0, 36}, {0, 32}}],
     Deployed->True,
     StripOnInput->False], Cell[
    "ATOMIC DENSITY MATRIX TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "AtomicDensityMatrix Package", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> Documentation`HelpLookup[
            StringReplace[
            "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix", 
             "http://reference.wolfram.com/mathematica/" -> 
             "http://budker.berkeley.edu/ADM/"]]}, #, 2]& , Evaluator -> 
        Automatic], {1->"\<\"AtomicDensityMatrix Package\"\>"}, 
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"More About \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[Dynamic[{
         StringReplace[
         "ActionMenu", "http://reference.wolfram.com/mathematica/" -> 
          "http://budker.berkeley.edu/ADM/"], None}, 
        Part[{StringReplace[
           "AtomicDensityMatrix/tutorial/\
TheStateVectorAndTheSchrodingerEquation", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> None, 
          StringReplace[
           "Copy Mathematica url", 
            "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  StringReplace[
                  "AtomicDensityMatrix/tutorial/\
TheStateVectorAndTheSchrodingerEquation", 
                   "http://reference.wolfram.com/mathematica/" -> 
                   "http://budker.berkeley.edu/ADM/"]]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, 
              StringReplace[
              "Copy", "http://reference.wolfram.com/mathematica/" -> 
               "http://budker.berkeley.edu/ADM/"]]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], Delimiter, 
          StringReplace[
           "Copy web url", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  BoxData[
                   MakeBoxes[
                    Hyperlink[
                    StringReplace[
                    "http://reference.wolfram.com/mathematica/\
AtomicDensityMatrix/tutorial/TheStateVectorAndTheSchrodingerEquation.html", 
                    "http://reference.wolfram.com/mathematica/" -> 
                    "http://budker.berkeley.edu/ADM/"]], StandardForm]], 
                  StringReplace[
                  "Input", "http://reference.wolfram.com/mathematica/" -> 
                   "http://budker.berkeley.edu/ADM/"], TextClipboardType -> 
                  StringReplace[
                   "PlainText", "http://reference.wolfram.com/mathematica/" -> 
                    "http://budker.berkeley.edu/ADM/"]]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, 
              StringReplace[
              "Copy", "http://reference.wolfram.com/mathematica/" -> 
               "http://budker.berkeley.edu/ADM/"]]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], 
          StringReplace[
           "Go to web url", "http://reference.wolfram.com/mathematica/" -> 
            "http://budker.berkeley.edu/ADM/"] :> FrontEndExecute[{
             NotebookLocate[{
               URL[
                StringJoin[
                 StringReplace[
                 "http://reference.wolfram.com/mathematica/", 
                  "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"], 
                 StringReplace[
                 "AtomicDensityMatrix/tutorial/\
TheStateVectorAndTheSchrodingerEquation", 
                  "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"], 
                 StringReplace[
                 ".html", "http://reference.wolfram.com/mathematica/" -> 
                  "http://budker.berkeley.edu/ADM/"]]], None}]}]}, #, 2]& , 
        Evaluator -> Automatic], {
       1->"\<\"AtomicDensityMatrix/tutorial/\
TheStateVectorAndTheSchrodingerEquation\"\>", 
       2->"\<\"Copy Mathematica url\"\>", Delimiter, 
       4->"\<\"Copy web url\"\>", 5->"\<\"Go to web url\"\>"}, 
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"URL \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxAlignment->{"Columns" -> {{Left, Left, Right}}},
 GridBoxItemSize->{"Columns" -> {
     Scaled[0.05], 
     Scaled[0.3], {
      Scaled[0.64]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["\<\
The State Vector and the Schr\[ODoubleDot]dinger Equation\
\>", "Title",
 CellID->509267359],

Cell[TextData[{
 "The main question that the ",
 StyleBox["AtomicDensityMatrix",
  FontSlant->Italic],
 " package is intended to address is"
}], "Text",
 CellID->17510842],

Cell[CellGroupData[{

Cell["\<\
Given the initial state of an atomic system subject to light and/or other \
external fields, in addition to relaxation mechanisms, what is the subsequent \
evolution of the system and what effect does this evolution have on the \
interacting light fields?\
\>", "TextNote",
 CellID->18368332],

Cell[TextData[{
 "The evolution of a quantum-mechanical state vector ",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    RowBox[{"|", "\[Psi]"}], "\[RightAngleBracket]"}], "InlineMath"]], 
  "InlineFormula"],
 " is governed by the Schr\[ODoubleDot]dinger equation ",
 Cell[BoxData[
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"i", " ", "\[HBar]", 
        SubscriptBox["\[PartialD]", 
         StyleBox["t",
          FontSlant->"Italic"]]}], "|", 
       RowBox[{"\[Psi]", 
        RowBox[{"(", 
         StyleBox["t",
          FontSlant->"Italic"], ")"}]}]}], "\[RightAngleBracket]"}], "=", 
     RowBox[{"H", "|", 
      RowBox[{"\[Psi]", 
       RowBox[{"(", "t", ")"}]}]}]}], "\[RightAngleBracket]"}], 
   "InlineMath"]], "InlineFormula"],
 ", where ",
 Cell[BoxData[
  StyleBox["H", "InlineMath"]], "InlineFormula"],
 " is the Hamiltonian. We will always use units in which ",
 Cell[BoxData[
  StyleBox["H", "InlineMath"]], "InlineFormula"],
 " has units of frequency and the reduced Planck's constant \[HBar] is equal \
to one."
}], "Text",
 CellID->60640988],

Cell[TextData[{
 "As a simple example, we will find the evolution of system consisting of two \
opposite-parity states with no Zeeman or hyperfine substructure, separated by \
an energy ",
 Cell[BoxData[
  StyleBox["\[CapitalDelta]", "InlineMath"]], "InlineFormula"],
 " and subject to a static electric field."
}], "Text",
 CellID->663252305],

Cell["Load the package.", "MathCaption",
 CellID->106720500],

Cell[BoxData[
 RowBox[{"<<", "AtomicDensityMatrix`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->27959808],

Cell["Define an atomic system and form its ket vector.", "MathCaption",
 CellID->200065976],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"system", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"AtomicState", "[", 
     RowBox[{"1", ",", 
      RowBox[{"Energy", "\[Rule]", "0"}]}], "]"}], ",", 
    RowBox[{"AtomicState", "[", 
     RowBox[{"2", ",", 
      RowBox[{"Energy", "\[Rule]", "\[CapitalDelta]"}]}], "]"}]}], 
   "}"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->484360868],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"AtomicState", "[", 
    RowBox[{"1", ",", 
     RowBox[{"Energy", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"AtomicState", "[", 
    RowBox[{"2", ",", 
     RowBox[{"Energy", "\[Rule]", "\[CapitalDelta]"}]}], "]"}]}], 
  "}"}]], "Output",
 ImageSize->{378, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->69273134]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{"ket", "=", 
   RowBox[{"Ket", "[", 
    RowBox[{"system", ",", "c"}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->67883978],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SubscriptBox["c", "1"], "[", "t", "]"}]},
     {
      RowBox[{
       SubscriptBox["c", "2"], "[", "t", "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{58, 28},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->4226724]
}, Open  ]],

Cell["\<\
The Hamiltonian describing the interaction with an electric field. We \
normalize the electric field to frequency units by dividing by the reduced \
dipole matrix element between states 1 and 2.\
\>", "MathCaption",
 CellID->265025652],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{"H", "=", 
   RowBox[{"Hamiltonian", "[", 
    RowBox[{"system", ",", 
     RowBox[{"ElectricField", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"\[CapitalOmega]", "/", 
         RowBox[{"ReducedME", "[", 
          RowBox[{"1", ",", 
           RowBox[{"{", 
            RowBox[{"Dipole", ",", "1"}], "}"}], ",", "2"}], "]"}]}]}], 
       "}"}]}]}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->90461799],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[CapitalOmega]"}]},
     {
      RowBox[{"-", "\[CapitalOmega]"}], "\[CapitalDelta]"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{62, 28},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]//MatrixForm=",
 CellID->114543188]
}, Open  ]],

Cell["The Schr\[ODoubleDot]dinger equation.", "MathCaption",
 CellID->886331892],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{"eq", "=", 
    RowBox[{
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"D", "[", 
       RowBox[{"ket", ",", "t"}], "]"}]}], "==", 
     RowBox[{"H", "\[CenterDot]", "ket"}]}]}], ")"}]}]], "Input",
 CellLabel->"In[5]:=",
 CellID->367957306],

Cell[GraphicsData["CompressedBitmap", "\<\
eJzNWV1u00AQ3sZ20qoFlZZGpUIQESTCARCqn3iCJw4RVVjtAwK1RVzDp/FJ
+ubDmPX+ju3Pa2/WrYgUx1mvZ775ZnY8O/6+vb/+8XN7f3O1XX273f6+vrm6
W339dcuHoj3G2AP/vl6x+rzip+rwwKqKn12In4SVecroJ81LNhfXYn4smbyc
srysDvRwmTM5mrOyqr4oSWZYfbKiYjMvSSsHJj9Jz6WRsfiJ+LFgORdS/zsl
Y5nEyfbNGBeeF+LfkRorciFRGynGSj5WqLFzoOONGsvTzMybjdTxFuCLR947
B/jiFhVFXvPWhaQon4ljVOs1IqIeD9fQIg0jk+RTGBRurI5invVrDKzQLNfq
8qLFMoF/KI4LGy6ZVKVV1GETj4A+5CUP6AswpufRqI70UUG2qsezHAh1Dlhu
xQqyQjigkLfMlaA8TY1TtAO41sjcUhh+EwA60nhqw5VxOvp5EokAGiTmHMw7
MrPtPH09caPX9A5Fxw7oXVFC04hRR4I+cqM2aAjn8isQx/5g+xeziUohQUVy
QjGrOKELOs2oiKQxVnEj7PMH0dyUMXfApWNLgLORUhu576CR++qvWLkkudjE
gmyKzZgKnSjAnH6YOEXTe7W+fqiY/v4oH8aLQjtqRQtJOGOjJenkNWH6FIFC
F9cSQDzSdknPN9lVixDp1GZIyNJTIZGAmE2IFzVefY683kPjFA7v5igrglxC
DrePEVk0aitSWeIdTuFkQtASwNLFFC2cLCs2I0duqIsAqE7/Enklz+zNx9ej
QaGstXzarTDjRoHDEc2NfFXIymqEZ+CsBmjXX2bwo0CckXn6YzJgp3wa735q
ga/7e0xCnIfAP25EqoQxwOrUEDxD4YKqz6SYkOxiE7x1Qr8DF6auQUn6RQCO
Y3JvkUm9pwHyFsCuFq295a6qR6X6felV4sVxG2QUJ0ug+ZnW39iUSEJPzOof
o/FESy8sVj8JaJfuIO3zSBP/hIu1i9JWaRJ3XQSaxZYqT1OXjkSCFtElEPES
zPsL5s38xCb+BqKexQRIQgxUCekMxrR8ivq1vtAqOgMaU6UxvLH13i9YdbzT
TSwqml3NpKH1c2nm+Tes1n7mNOrnwIbVECW7tFIGmNowmftDG1YTdoFGOIA+
Z93l++g+Sv++bcfWhLs6+Giwe3eBDKrJ+ilrANqT8f5+Sqf3ELINoNVz5qB3
1bsqQ1sp0/cn1sAmz+1qf3+iudmfinrXvlVnlN2aE5M2AtYAcpvZgc7PUzQC
Bro9GxDfT9wIWAOobSI7jcz/efc91Ir15fyJtr5rMKb8gJ6kr6j6Cba+Y19x
fNAp4JG2vu/AvY53is2G9RRbVZQL0evAjaYteKuKUlnbZBKXn0D8orfCd2Ce
EqteyrO9fwdX/m4=\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{212, 28},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->361008134]
}, Open  ]],

Cell["Create the initial conditions.", "MathCaption",
 CellID->639160661],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"(", 
   RowBox[{"init", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"ket", "/.", 
       RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "==", 
     TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"1"},
         {"0"}
        },
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
      Function[BoxForm`e$, 
       MatrixForm[BoxForm`e$]]]}]}], ")"}]}]], "Input",
 CellLabel->"In[6]:=",
 CellID->294592650],

Cell[GraphicsData["CompressedBitmap", "\<\
eJy9WFtO3DAUNYkTilpVMKIjPviYT1R1A80C2q8uYkBY8FG1oizEq/FmspjU
7zjOscdmgEiTx41z7jn29fX1/No/P9z/3j8/3u13P5/2fx8e7/7tfvx5kqb2
hBByK3/XO6LuJ3lrT7dkmuTdub50ZOQDCY+Bj6TV76g8j8S8HggfpzNnHjkx
Vk7GafpuAKm+qE8F4RJEPZ0FNqa+YEK6dDYJzoV++mRtgmtES83YRmkT1nYF
fHwG7WhESXDF33+swZ0Id0hqraPBjLi5/ZIuxtB95H0iKao9F5GUgBvN4CKM
SGbo0lDs5fANHl79lDQ5xF6VEL7TmozSkbMZRjJgsvOzSgOMK9COZnARhlU6
D4aMJxZSNB0zMEFWHWltk5Q+BzeWyQfmu0P7kEGAZPbAtgXcugwuwmgjmcFY
I5mdFavj1QSxcpNW2EdMJvfcZkSGEboFzLo8dAdgYp2rOdDrvMPEHBmDmQcf
XllboGML2JRqWw2U17ZOSz3x6dDOb8ZYXlt9ZCJhIZWSyCxUtcnmDT2MiwmY
pR0k9hxthIswItqhy40fksUi59a+aE41rvVy7TsF2rdJfSvUPtl1kPLXQm/n
x8P2/ux6x5UHQj03+qHV/e7mRFfHBC033wDEJWi3Ae2aOtiuXiB9GybHCGTm
9UcnKSpqVAKtK+ZQQH8BHi/qQswVeGG6QcsUKgTRJHmFqMfF1rIQPES3thAs
lTIvOyQ6lstOWiladhK1YFMptrQWLM3pp8B/QS4PIdI1IPU2C48m8TGLLHup
suDbTDmULvvsNsVEBMxNb1gXHVKWKBvWm5d3K/QOFLFZQZnKNSj237G6O7Tv
yKkB+w3kKp3gy6u6ut0g9aFgaaNsmdnZX/gGRxR0KIjTW3UaDPaScnqXHqa0
G5A0Kv/jsH/nkJP/20PD2A==\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{98, 28},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->464784150]
}, Open  ]],

Cell["A list of the dependent variables.", "MathCaption",
 CellID->197975652],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vars", "=", 
  RowBox[{"Flatten", "[", "ket", "]"}]}]], "Input",
 CellLabel->"In[7]:=",
 CellID->276951613],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SubscriptBox["c", "1"], "[", "t", "]"}], ",", 
   RowBox[{
    SubscriptBox["c", "2"], "[", "t", "]"}]}], "}"}]], "Output",
 ImageSize->{97, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->241216953]
}, Open  ]],

Cell["\<\
Solve the Schr\[ODoubleDot]dinger equation.\
\>", "MathCaption",
 CellID->33833520],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"LogicalExpand", "[", 
       RowBox[{"eq", "&&", "init"}], "]"}], ",", "vars", ",", "t"}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellLabel->"In[8]:=",
 CellID->24580560],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     SubscriptBox["c", "1"], "[", "t", "]"}], "\[Rule]", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", "\[ImaginaryI]", " ", "t", " ", 
       "\[CapitalDelta]"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Cosh", "[", 
        RowBox[{
         FractionBox["1", "2"], " ", "t", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["\[CapitalDelta]", "2"]}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox["\[CapitalOmega]", "2"]}]}]]}], "]"}], "+", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[CapitalDelta]", " ", 
         RowBox[{"Sinh", "[", 
          RowBox[{
           FractionBox["1", "2"], " ", "t", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["\[CapitalDelta]", "2"]}], "-", 
             RowBox[{"4", " ", 
              SuperscriptBox["\[CapitalOmega]", "2"]}]}]]}], "]"}]}], 
        SqrtBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["\[CapitalDelta]", "2"]}], "-", 
          RowBox[{"4", " ", 
           SuperscriptBox["\[CapitalOmega]", "2"]}]}]]]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{
     SubscriptBox["c", "2"], "[", "t", "]"}], "\[Rule]", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], " ", "t", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "\[CapitalDelta]"}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[CapitalDelta]", "2"]}], "-", 
            RowBox[{"4", " ", 
             SuperscriptBox["\[CapitalOmega]", "2"]}]}]]}], ")"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"t", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["\[CapitalDelta]", "2"]}], "-", 
            RowBox[{"4", " ", 
             SuperscriptBox["\[CapitalOmega]", "2"]}]}]]}]]}], ")"}], " ", 
      "\[CapitalOmega]"}], 
     SqrtBox[
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[CapitalDelta]", "2"]}], "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[CapitalOmega]", "2"]}]}]]]}]}], "}"}]], "Output",
 ImageSize->{441, 128},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->785944514]
}, Open  ]],

Cell["\<\
The real and imaginary parts of the elements of the state vector.\
\>", "MathCaption",
 CellID->96187871],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "@", 
  RowBox[{"ComplexExpand", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Re", "[", "vars", "]"}], ",", 
        RowBox[{"Im", "[", "vars", "]"}]}], "}"}], "]"}], "/.", "sol"}], "/.",
     
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[CapitalOmega]", "\[Rule]", "1"}], ",", 
      RowBox[{"\[CapitalDelta]", "\[Rule]", "1"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[9]:=",
 CellID->340603720],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", 
        FractionBox["t", "2"], "]"}], " ", 
       RowBox[{"Cos", "[", 
        FractionBox[
         RowBox[{
          SqrtBox["5"], " ", "t"}], "2"], "]"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"Sin", "[", 
         FractionBox["t", "2"], "]"}], " ", 
        RowBox[{"Sin", "[", 
         FractionBox[
          RowBox[{
           SqrtBox["5"], " ", "t"}], "2"], "]"}]}], 
       SqrtBox["5"]]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Cos", "[", 
         FractionBox[
          RowBox[{
           SqrtBox["5"], " ", "t"}], "2"], "]"}]}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["t", "2"], "]"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"Cos", "[", 
         FractionBox["t", "2"], "]"}], " ", 
        RowBox[{"Sin", "[", 
         FractionBox[
          RowBox[{
           SqrtBox["5"], " ", "t"}], "2"], "]"}]}], 
       SqrtBox["5"]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"Sin", "[", 
        FractionBox["t", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox[
         RowBox[{
          SqrtBox["5"], " ", "t"}], "2"], "]"}]}], 
      SqrtBox["5"]], ",", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"Cos", "[", 
        FractionBox["t", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox[
         RowBox[{
          SqrtBox["5"], " ", "t"}], "2"], "]"}]}], 
      SqrtBox["5"]]}], "}"}]}], "}"}]], "Output",
 ImageSize->{556, 104},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[9]=",
 CellID->643931737]
}, Open  ]],

Cell["\<\
Plot the trajectory of the elements of the state vector in the complex plane.\
\
\>", "MathCaption",
 CellID->219586286],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Arrowheads", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{".045", ",", "i"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "1", ",", ".04"}], "}"}]}], "]"}], "]"}],
      ",", 
     RowBox[{
      RowBox[{
       RowBox[{"ParametricPlot", "[", 
        RowBox[{"%", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "/.", 
      RowBox[{"Line", "\[Rule]", "Arrow"}]}]}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"Axes", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Re[c(t)]\>\"", ",", "\"\<Im[c(t)]\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellLabel->"In[10]:=",
 CellID->280333154],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{180, 167},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->1013798192]
}, Open  ]],

Cell["The probability of finding each state as a function of time.", \
"MathCaption",
 CellID->94345139],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"Abs", "[", "vars", "]"}], "2"], "/.", "sol"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[CapitalOmega]", "\[Rule]", "1"}], ",", 
      RowBox[{"\[CapitalDelta]", "\[Rule]", "1"}]}], "}"}]}], ",", 
   RowBox[{"t", "\[Element]", "Reals"}]}], "]"}]], "Input",
 CellLabel->"In[11]:=",
 CellID->427371019],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "5"], " ", 
    RowBox[{"(", 
     RowBox[{"3", "+", 
      RowBox[{"2", " ", 
       RowBox[{"Cos", "[", 
        RowBox[{
         SqrtBox["5"], " ", "t"}], "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["4", "5"], " ", 
    SuperscriptBox[
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{
        SqrtBox["5"], " ", "t"}], "2"], "]"}], "2"]}]}], "}"}]], "Output",
 ImageSize->{249, 36},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->75825412]
}, Open  ]],

Cell["Plot the probabilities.", "MathCaption",
 CellID->300686189],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<Probability\>\""}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[12]:=",
 CellID->33775256],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{180, 127},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[12]=",
 CellID->96202975]
}, Open  ]],

Cell[TextData[{
 "The state vector and Schr\[ODoubleDot]dinger equation describe the \
evolution of a single atom, or a completely polarized atomic ensemble when \
there are no relaxation processes at work. However, we are often interested \
in the evolution of partially polarized or unpolarized ensembles, for which \
the experimental observables are averages over the ensemble. We also may need \
to include relaxation effects. For this we use a formalism that generalizes \
the state vector: ",
 ButtonBox["the density matrix",
  BaseStyle->"Link",
  ButtonData->
   "paclet:AtomicDensityMatrix/tutorial/\
TheDensityMatrixAndTheLiouvilleEquation"],
 "."
}], "Text",
 CellID->148218043]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "TutorialMoreAboutSection",
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell["MORE ABOUT", "TutorialMoreAboutSection"], 
     Cell[
      TextData[{
        Cell[
         BoxData[
          InterpretationBox[
           StyleBox[
            
            GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
             Baseline], "CacheGraphics" -> False], 
           Spacer[24]]]], "More About"}], "TutorialMoreAboutSection"]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 "WholeCellGroupOpener" -> True,
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["AtomicDensityMatrix Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"]], \
"TutorialMoreAbout",
 CellID->1567025153],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"The State Vector and the Schr\[ODoubleDot]dinger Equation - \
Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2013, 7, 19, 15, 4, 58.1833615}", "context" -> 
    "AtomicDensityMatrix`", "keywords" -> {"Atomic Density Matrix", "ADM"}, 
    "index" -> True, "label" -> "Atomic Density Matrix Tutorial", "language" -> 
    "en", "paclet" -> "AtomicDensityMatrix", "status" -> "None", "summary" -> 
    "The main question that the AtomicDensityMatrix package is intended to \
address is The evolution of a quantum-mechanical state vector |\\[Psi]> is \
governed by the Schro\"dinger equation i \
\\[HBar]\\[PartialD]_t|\\[Psi](t)>=H|\\[Psi](t)>, where H is the Hamiltonian. \
We will always use units in which H has units of frequency and the reduced \
Planck's constant \\[HBar] is equal to one. As a simple example, we will find \
the evolution of system consisting of two opposite-parity states with no \
Zeeman or hyperfine substructure, separated by an energy \\[CapitalDelta] and \
subject to a static electric field.", "synonyms" -> {}, "title" -> 
    "The State Vector and the Schro\"dinger Equation", "type" -> "Tutorial", 
    "uri" -> "AtomicDensityMatrix/tutorial/\
TheStateVectorAndTheSchrodingerEquation"}, "SearchTextTranslated" -> "", 
  "SearchText" -> ""},
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0 for Microsoft Windows (64-bit) (May 21, 2008)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 78, 1, 3, "TutorialColorBar"],
Cell[649, 24, 220, 5, 70, "LinkTrail"],
Cell[872, 31, 8057, 166, 70, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[8954, 201, 102, 3, 70, "Title",
 CellID->509267359],
Cell[9059, 206, 171, 6, 70, "Text",
 CellID->17510842],
Cell[CellGroupData[{
Cell[9255, 216, 302, 6, 70, "TextNote",
 CellID->18368332],
Cell[9560, 224, 1098, 35, 70, "Text",
 CellID->60640988],
Cell[10661, 261, 343, 8, 70, "Text",
 CellID->663252305],
Cell[11007, 271, 60, 1, 70, "MathCaption",
 CellID->106720500],
Cell[11070, 274, 106, 3, 70, "Input",
 CellID->27959808],
Cell[11179, 279, 91, 1, 70, "MathCaption",
 CellID->200065976],
Cell[CellGroupData[{
Cell[11295, 284, 370, 12, 70, "Input",
 CellID->484360868],
Cell[11668, 298, 422, 14, 70, "Output",
 CellID->69273134]
}, Open  ]],
Cell[CellGroupData[{
Cell[12127, 317, 191, 6, 70, "Input",
 CellID->67883978],
Cell[12321, 325, 833, 26, 70, "Output",
 CellID->4226724]
}, Open  ]],
Cell[13169, 354, 245, 5, 70, "MathCaption",
 CellID->265025652],
Cell[CellGroupData[{
Cell[13439, 363, 511, 15, 70, "Input",
 CellID->90461799],
Cell[13953, 380, 813, 24, 70, "Output",
 CellID->114543188]
}, Open  ]],
Cell[14781, 407, 80, 1, 70, "MathCaption",
 CellID->886331892],
Cell[CellGroupData[{
Cell[14886, 412, 315, 10, 70, "Input",
 CellID->367957306],
Cell[15204, 424, 1631, 31, 70, "Output",
 Evaluatable->False,
 CellID->361008134]
}, Open  ]],
Cell[16850, 458, 73, 1, 70, "MathCaption",
 CellID->639160661],
Cell[CellGroupData[{
Cell[16948, 463, 892, 27, 70, "Input",
 CellID->294592650],
Cell[17843, 492, 1150, 23, 70, "Output",
 Evaluatable->False,
 CellID->464784150]
}, Open  ]],
Cell[19008, 518, 77, 1, 70, "MathCaption",
 CellID->197975652],
Cell[CellGroupData[{
Cell[19110, 523, 131, 4, 70, "Input",
 CellID->276951613],
Cell[19244, 529, 309, 11, 70, "Output",
 CellID->241216953]
}, Open  ]],
Cell[19568, 543, 93, 3, 70, "MathCaption",
 CellID->33833520],
Cell[CellGroupData[{
Cell[19686, 550, 356, 11, 70, "Input",
 CellID->24580560],
Cell[20045, 563, 2655, 80, 70, "Output",
 CellID->785944514]
}, Open  ]],
Cell[22715, 646, 115, 3, 70, "MathCaption",
 CellID->96187871],
Cell[CellGroupData[{
Cell[22855, 653, 516, 17, 70, "Input",
 CellID->340603720],
Cell[23374, 672, 1786, 64, 70, "Output",
 CellID->643931737]
}, Open  ]],
Cell[25175, 739, 130, 4, 70, "MathCaption",
 CellID->219586286],
Cell[CellGroupData[{
Cell[25330, 747, 920, 28, 70, "Input",
 CellID->280333154],
Cell[26253, 777, 13732, 229, 70, "Output",
 Evaluatable->False,
 CellID->1013798192]
}, Open  ]],
Cell[40000, 1009, 104, 2, 70, "MathCaption",
 CellID->94345139],
Cell[CellGroupData[{
Cell[40129, 1015, 431, 13, 70, "Input",
 CellID->427371019],
Cell[40563, 1030, 589, 22, 70, "Output",
 CellID->75825412]
}, Open  ]],
Cell[41167, 1055, 66, 1, 70, "MathCaption",
 CellID->300686189],
Cell[CellGroupData[{
Cell[41258, 1060, 356, 10, 70, "Input",
 CellID->33775256],
Cell[41617, 1072, 7858, 133, 70, "Output",
 Evaluatable->False,
 CellID->96202975]
}, Open  ]],
Cell[49490, 1208, 689, 15, 70, "Text",
 CellID->148218043]
}, Open  ]],
Cell[CellGroupData[{
Cell[50216, 1228, 747, 21, 70, "TutorialMoreAboutSection",
 CellID->23220180],
Cell[50966, 1251, 861, 21, 70, "SectionHeaderSpacer"],
Cell[51830, 1274, 192, 5, 70, "TutorialMoreAbout",
 CellID->1567025153],
Cell[52025, 1281, 861, 21, 70, "SectionFooterSpacer"]
}, Open  ]]
}, Open  ]],
Cell[52913, 1306, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

